library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity bariera is
	port(
		SYNC : in std_logic ;
		SFH 	: in std_logic ;
		S1	: in std_logic ;
		IRED : out std_logic ;
		LED1 : out std_logic ;
		LED5 : out std_logic 
	);
end bariera;

architecture barieraBehav of bariera is
	signal fout36kHz : std_logic ;
	signal fout500Hz : std_logic ;
begin
	--generator czestotliwosci 36kHz i 500Hz
	generator: process (SYNC) is
		variable temp1 : unsigned (8 downto 0) ;
		variable temp2 : unsigned (15 downto 0);
	begin
		if rising_edge(SYNC) then
			temp1 := temp1 + 1 ;
			temp2 := temp2 + 1 ;

			if temp2 = 24000 then
				temp2 := "0000000000000000" ;
				fout500Hz <= not fout500Hz ;
			end if ;

			if temp1 = 333 then
				temp1 := "000000000" ;
				fout36kHz <= not fout36kHz ;
			end if ;
		end if ;	
		
	end process generator ;

	--generacja modulowanej fali 36kHz
	IRED <=  fout500Hz and fout36kHz;		  

	--odbior sygnalu podczerwonego
	LED1 <= SFH ;
	LED5 <= '0' when (SFH = '0') else
		   '1' when (SFH = '1') and (S1 = '0') ;
	
end barieraBehav;
