library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

	entity licznik5bitSYNC is
    Port ( led : out std_ulogic_vector(4 downto 0);
    		 CLK : in std_ulogic;
		 SYNC :  in std_ulogic ;
           reset : in std_ulogic);
end licznik5bitSYNC;

architecture licznik5bitSYNCBehavioral of licznik5bitSYNC is
	signal CLKprim : std_ulogic ;
begin
	synchr: process (SYNC) is begin
		if rising_edge(SYNC) then
			CLKprim <= CLK ;
		end if ;
	end process synchr ;

	licznik: process (CLKprim, reset) is 
		variable temp : unsigned (4 downto 0) ;
	begin
		if reset = '0' then
			temp := "00000" ;
		elsif rising_edge(CLKprim) then
			temp := temp + 1 ;
		end if;
		
		--zapisanie do wektora led
		led <= not std_ulogic_vector(temp) ;
	end process licznik ;
end licznik5bitSYNCBehavioral;
