library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity modulo100 is
    Port ( CLK : in std_logic;
           SYNC : in std_logic;
		 reset : in std_logic ;
           wysw : out std_logic_vector(6 downto 0);
           T1 : out std_logic;
           T2 : out std_logic);
end modulo100;

architecture modulo100Behav of modulo100 is
	signal CLKprim : std_logic ;
	signal jednosci  : std_logic_vector (3 downto 0) ;
	signal sel : std_logic ;
	signal dziesiatki  : std_logic_vector (3 downto 0) ;
begin
	--usuwanie zaklocen z sygnalu CLK
	synchro: process (SYNC) is 
		variable preskaler : unsigned (10 downto 0) ;
	begin
		if rising_edge(SYNC) then
			--przerzutnik D
			CLKprim <= CLK ;

			--sterowanie przelaczaniem wyswietlaczy
			preskaler := preskaler + 1;
			if preskaler = 0 then
				sel <= not sel ;
			end if  ;
		end if;
	end process synchro ;

	--zliczanie jednosci
	liczJedn: process (CLKprim, reset)  is 
		variable temp1 : unsigned (3 downto 0) ;
	begin
		--zliczenie zbocza
		if reset = '0' then
			temp1 := "0000" ;
		elsif rising_edge(CLKprim) then
			temp1 := temp1 + 1;
			--operacja modulo 10
			if temp1 = 10 then
				temp1 := "0000" ;
			end if;
		end if;
		--zapisanie do sygnalu
		jednosci <= std_logic_vector(temp1) ;
	end process liczJedn ;

	--zliczanie dziesiatek
	liczDzies: process (jednosci(3), reset) is
		variable temp2 : unsigned (3 downto 0) ;
	begin
		if reset = '0'  then
			temp2  := "0000";
		elsif falling_edge(jednosci(3)) then
			temp2 := temp2 + 1;
			--operacja modulo 10
			if temp2 = 10 then
				temp2  := "0000" ;
			end if ;
		end  if ;
		dziesiatki <= std_logic_vector(temp2) ;
	end process liczDzies;

	--obsluga tranzystorow
	T1 <= '0' when sel='0' else '1' ;
	T2 <= '0' when sel='1' else '1' ;

	--wyswietlenie prawdidlowej wartosci na wyswietlaczu
	wysw <= 
		--wyswietlenie jednosci
		"1000000" when (jednosci = "0000") and (sel='0') else
		"1111001" when (jednosci = "0001") and (sel='0') else
		"0100100" when (jednosci = "0010") and (sel='0') else
		"0110000" when (jednosci = "0011") and (sel='0') else
		"0011001" when (jednosci = "0100") and (sel='0') else
		"0010010" when (jednosci = "0101") and (sel='0') else
		"0000010" when (jednosci = "0110") and (sel='0') else
		"1111000" when (jednosci = "0111") and (sel='0') else
		"0000000" when (jednosci = "1000") and (sel='0') else
		"0010000" when (jednosci = "1001") and (sel='0') else
		
		--wyswietlenie dziesiatek
		"1000000" when (dziesiatki = "0000") and (sel='1') else
		"1111001" when (dziesiatki = "0001") and (sel='1') else
		"0100100" when (dziesiatki = "0010") and (sel='1') else
		"0110000" when (dziesiatki = "0011") and (sel='1') else
		"0011001" when (dziesiatki = "0100") and (sel='1') else
		"0010010" when (dziesiatki = "0101") and (sel='1') else
		"0000010" when (dziesiatki = "0110") and (sel='1') else
		"1111000" when (dziesiatki = "0111") and (sel='1') else
		"0000000" when (dziesiatki = "1000") and (sel='1') else
		"0010000" when (dziesiatki = "1001") and (sel='1') else
		"1111111";
end modulo100Behav;

