-- VHDL model created from C:\Xilinx\cpld\data\drawing\fdc.sch - Sat Oct 25 18:31:33 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FDC_MXILINX_lfsr is
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic; 
          Q   : out   std_logic);
end FDC_MXILINX_lfsr;

architecture BEHAVIORAL of FDC_MXILINX_lfsr is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_5 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_55 : GND
      port map (G=>XLXN_5);
   
   U0 : FDCP
      port map (C=>C, CLR=>CLR, D=>D, PRE=>XLXN_5, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from lfsr.sch - Sat Oct 25 18:31:33 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity lfsr is
   port ( S1 : in    std_logic; 
          S3 : in    std_logic; 
          a  : out   std_logic; 
          b  : out   std_logic; 
          c  : out   std_logic; 
          d  : out   std_logic; 
          e  : out   std_logic; 
          f  : out   std_logic; 
          g  : out   std_logic; 
          T1 : out   std_logic);
end lfsr;

architecture BEHAVIORAL of lfsr is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal oo      : std_logic;
   signal XLXN_1  : std_logic;
   signal XLXN_3  : std_logic;
   signal XLXN_5  : std_logic;
   signal XLXN_6  : std_logic;
   signal XLXN_7  : std_logic;
   signal XLXN_8  : std_logic;
   signal XLXN_9  : std_logic;
   signal XLXN_10 : std_logic;
   signal XLXN_11 : std_logic;
   signal XLXN_12 : std_logic;
   signal XLXN_19 : std_logic;
   signal XLXN_21 : std_logic;
   signal XLXN_22 : std_logic;
   signal XLXN_27 : std_logic;
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component dek7seg_symbol
      port ( x2 : in    std_logic; 
             x3 : in    std_logic; 
             x0 : in    std_logic; 
             x1 : in    std_logic; 
             b  : out   std_logic; 
             c  : out   std_logic; 
             d  : out   std_logic; 
             e  : out   std_logic; 
             f  : out   std_logic; 
             g  : out   std_logic; 
             a  : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDC_MXILINX_lfsr
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_22 : LABEL is "XLXI_22_0";
   attribute HU_SET of XLXI_23 : LABEL is "XLXI_23_1";
   attribute HU_SET of XLXI_24 : LABEL is "XLXI_24_2";
   attribute HU_SET of XLXI_26 : LABEL is "XLXI_26_3";
   attribute HU_SET of XLXI_28 : LABEL is "XLXI_28_4";
   attribute HU_SET of XLXI_29 : LABEL is "XLXI_29_5";
   attribute HU_SET of XLXI_30 : LABEL is "XLXI_30_6";
   attribute HU_SET of XLXI_31 : LABEL is "XLXI_31_7";
begin
   XLXI_16 : VCC
      port map (P=>XLXN_5);
   
   XLXI_17 : dek7seg_symbol
      port map (x0=>XLXN_19, x1=>XLXN_1, x2=>XLXN_21, x3=>XLXN_22, a=>a, b=>b,
            c=>c, d=>d, e=>e, f=>f, g=>g);
   
   XLXI_18 : GND
      port map (G=>XLXN_22);
   
   XLXI_19 : GND
      port map (G=>T1);
   
   XLXI_22 : FDC_MXILINX_lfsr
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_19, Q=>XLXN_1);
   
   XLXI_23 : FDC_MXILINX_lfsr
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_1, Q=>XLXN_21);
   
   XLXI_24 : FDC_MXILINX_lfsr
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_21, Q=>XLXN_3);
   
   XLXI_26 : FDC_MXILINX_lfsr
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_3, Q=>XLXN_8);
   
   XLXI_28 : FDC_MXILINX_lfsr
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_11, Q=>XLXN_12);
   
   XLXI_29 : FDC_MXILINX_lfsr
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_12, Q=>XLXN_7);
   
   XLXI_30 : FDC_MXILINX_lfsr
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_7, Q=>XLXN_6);
   
   XLXI_31 : FDC_MXILINX_lfsr
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_9, Q=>XLXN_10);
   
   XLXI_32 : INV
      port map (I=>S1, O=>XLXN_27);
   
   XLXI_33 : XOR2
      port map (I0=>XLXN_10, I1=>XLXN_19, O=>XLXN_11);
   
   XLXI_34 : XOR2
      port map (I0=>XLXN_19, I1=>XLXN_8, O=>XLXN_9);
   
   XLXI_35 : XOR2
      port map (I0=>XLXN_6, I1=>XLXN_5, O=>XLXN_19);
   
   XLXI_61 : INV
      port map (I=>S3, O=>oo);
   
end BEHAVIORAL;


