-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Sat Oct 25 18:30:37 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_lfsr_ext is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_lfsr_ext;

architecture BEHAVIORAL of FD_MXILINX_lfsr_ext is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\ftce.sch - Sat Oct 25 18:30:37 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCE_MXILINX_lfsr_ext is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_lfsr_ext;

architecture BEHAVIORAL of FTCE_MXILINX_lfsr_ext is
   attribute BOX_TYPE       : STRING ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : COMPONENT is "BLACK_BOX";
   
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T, I1=>Q_DUMMY, O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>TQ, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb2ce.sch - Sat Oct 25 18:30:37 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB2CE_MXILINX_lfsr_ext is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          TC  : out   std_logic);
end CB2CE_MXILINX_lfsr_ext;

architecture BEHAVIORAL of CB2CE_MXILINX_lfsr_ext is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_lfsr_ext
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : LABEL is "U0_0";
   attribute HU_SET of U1 : LABEL is "U1_1";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   TC <= TC_DUMMY;
   I_36_37 : AND2
      port map (I0=>Q1_DUMMY, I1=>Q0_DUMMY, O=>TC_DUMMY);
   
   I_36_47 : VCC
      port map (P=>XLXN_1);
   
   I_36_52 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   U0 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q0_DUMMY);
   
   U1 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q0_DUMMY, Q=>Q1_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb16ce.sch - Sat Oct 25 18:30:37 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB16CE_MXILINX_lfsr_ext is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q   : out   std_logic_vector (15 downto 0); 
          TC  : out   std_logic);
end CB16CE_MXILINX_lfsr_ext;

architecture BEHAVIORAL of CB16CE_MXILINX_lfsr_ext is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal T4       : std_logic;
   signal T5       : std_logic;
   signal T6       : std_logic;
   signal T7       : std_logic;
   signal T8       : std_logic;
   signal T9       : std_logic;
   signal T10      : std_logic;
   signal T11      : std_logic;
   signal T12      : std_logic;
   signal T13      : std_logic;
   signal T14      : std_logic;
   signal T15      : std_logic;
   signal XLXN_1   : std_logic;
   signal Q_DUMMY  : std_logic_vector (15 downto 0);
   signal TC_DUMMY : std_logic;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_lfsr_ext
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of Q0 : LABEL is "Q0_3";
   attribute HU_SET of Q1 : LABEL is "Q1_2";
   attribute HU_SET of Q2 : LABEL is "Q2_5";
   attribute HU_SET of Q3 : LABEL is "Q3_4";
   attribute HU_SET of Q4 : LABEL is "Q4_9";
   attribute HU_SET of Q5 : LABEL is "Q5_8";
   attribute HU_SET of Q6 : LABEL is "Q6_7";
   attribute HU_SET of Q7 : LABEL is "Q7_6";
   attribute HU_SET of Q8 : LABEL is "Q8_10";
   attribute HU_SET of Q9 : LABEL is "Q9_11";
   attribute HU_SET of Q10 : LABEL is "Q10_12";
   attribute HU_SET of Q11 : LABEL is "Q11_13";
   attribute HU_SET of Q12 : LABEL is "Q12_14";
   attribute HU_SET of Q13 : LABEL is "Q13_15";
   attribute HU_SET of Q14 : LABEL is "Q14_16";
   attribute HU_SET of Q15 : LABEL is "Q15_17";
begin
   Q(15 downto 0) <= Q_DUMMY(15 downto 0);
   TC <= TC_DUMMY;
   I_36_3 : AND3
      port map (I0=>Q_DUMMY(2), I1=>Q_DUMMY(1), I2=>Q_DUMMY(0), O=>T3);
   
   I_36_4 : AND2
      port map (I0=>Q_DUMMY(1), I1=>Q_DUMMY(0), O=>T2);
   
   I_36_9 : VCC
      port map (P=>XLXN_1);
   
   I_36_10 : AND4
      port map (I0=>Q_DUMMY(3), I1=>Q_DUMMY(2), I2=>Q_DUMMY(1), I3=>Q_DUMMY(0),
            O=>T4);
   
   I_36_14 : AND5
      port map (I0=>Q_DUMMY(7), I1=>Q_DUMMY(6), I2=>Q_DUMMY(5), I3=>Q_DUMMY(4),
            I4=>T4, O=>T8);
   
   I_36_15 : AND2
      port map (I0=>Q_DUMMY(4), I1=>T4, O=>T5);
   
   I_36_19 : AND3
      port map (I0=>Q_DUMMY(5), I1=>Q_DUMMY(4), I2=>T4, O=>T6);
   
   I_36_21 : AND4
      port map (I0=>Q_DUMMY(6), I1=>Q_DUMMY(5), I2=>Q_DUMMY(4), I3=>T4, O=>T7);
   
   I_36_22 : AND5
      port map (I0=>Q_DUMMY(15), I1=>Q_DUMMY(14), I2=>Q_DUMMY(13),
            I3=>Q_DUMMY(12), I4=>T12, O=>TC_DUMMY);
   
   I_36_23 : AND2
      port map (I0=>Q_DUMMY(12), I1=>T12, O=>T13);
   
   I_36_24 : AND3
      port map (I0=>Q_DUMMY(13), I1=>Q_DUMMY(12), I2=>T12, O=>T14);
   
   I_36_25 : AND4
      port map (I0=>Q_DUMMY(14), I1=>Q_DUMMY(13), I2=>Q_DUMMY(12), I3=>T12,
            O=>T15);
   
   I_36_26 : AND4
      port map (I0=>Q_DUMMY(10), I1=>Q_DUMMY(9), I2=>Q_DUMMY(8), I3=>T8,
            O=>T11);
   
   I_36_27 : AND3
      port map (I0=>Q_DUMMY(9), I1=>Q_DUMMY(8), I2=>T8, O=>T10);
   
   I_36_28 : AND2
      port map (I0=>Q_DUMMY(8), I1=>T8, O=>T9);
   
   I_36_29 : AND5
      port map (I0=>Q_DUMMY(11), I1=>Q_DUMMY(10), I2=>Q_DUMMY(9),
            I3=>Q_DUMMY(8), I4=>T8, O=>T12);
   
   I_36_54 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   Q0 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q_DUMMY(0));
   
   Q1 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q_DUMMY(0), Q=>Q_DUMMY(1));
   
   Q2 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T2, Q=>Q_DUMMY(2));
   
   Q3 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T3, Q=>Q_DUMMY(3));
   
   Q4 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T4, Q=>Q_DUMMY(4));
   
   Q5 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T5, Q=>Q_DUMMY(5));
   
   Q6 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T6, Q=>Q_DUMMY(6));
   
   Q7 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T7, Q=>Q_DUMMY(7));
   
   Q8 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T8, Q=>Q_DUMMY(8));
   
   Q9 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T9, Q=>Q_DUMMY(9));
   
   Q10 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T10, Q=>Q_DUMMY(10));
   
   Q11 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T11, Q=>Q_DUMMY(11));
   
   Q12 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T12, Q=>Q_DUMMY(12));
   
   Q13 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T13, Q=>Q_DUMMY(13));
   
   Q14 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T14, Q=>Q_DUMMY(14));
   
   Q15 : FTCE_MXILINX_lfsr_ext
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T15, Q=>Q_DUMMY(15));
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fdc.sch - Sat Oct 25 18:30:37 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FDC_MXILINX_lfsr_ext is
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic; 
          Q   : out   std_logic);
end FDC_MXILINX_lfsr_ext;

architecture BEHAVIORAL of FDC_MXILINX_lfsr_ext is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_5 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_55 : GND
      port map (G=>XLXN_5);
   
   U0 : FDCP
      port map (C=>C, CLR=>CLR, D=>D, PRE=>XLXN_5, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from lfsr_ext.sch - Sat Oct 25 18:30:37 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity lfsr_ext is
   port ( SYNC : in    std_logic; 
          S1   : in    std_logic; 
          S3   : in    std_logic; 
          a    : out   std_logic; 
          b    : out   std_logic; 
          c    : out   std_logic; 
          d    : out   std_logic; 
          e    : out   std_logic; 
          f    : out   std_logic; 
          g    : out   std_logic; 
          T1   : out   std_logic);
end lfsr_ext;

architecture BEHAVIORAL of lfsr_ext is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal oo      : std_logic;
   signal Q       : std_logic_vector (15 downto 0);
   signal XLXN_1  : std_logic;
   signal XLXN_2  : std_logic;
   signal XLXN_3  : std_logic;
   signal XLXN_4  : std_logic;
   signal XLXN_5  : std_logic;
   signal XLXN_7  : std_logic;
   signal XLXN_8  : std_logic;
   signal XLXN_9  : std_logic;
   signal XLXN_19 : std_logic;
   signal XLXN_22 : std_logic;
   signal XLXN_24 : std_logic;
   signal XLXN_26 : std_logic;
   signal XLXN_27 : std_logic;
   signal XLXN_28 : std_logic;
   signal XLXN_59 : std_logic;
   signal XLXN_60 : std_logic;
   signal XLXN_77 : std_logic;
   signal XLXN_78 : std_logic;
   signal XLXN_87 : std_logic;
   signal XLXN_89 : std_logic;
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDC_MXILINX_lfsr_ext
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component dek7seg_symbol
      port ( x2 : in    std_logic; 
             x3 : in    std_logic; 
             x0 : in    std_logic; 
             x1 : in    std_logic; 
             b  : out   std_logic; 
             c  : out   std_logic; 
             d  : out   std_logic; 
             e  : out   std_logic; 
             f  : out   std_logic; 
             g  : out   std_logic; 
             a  : out   std_logic);
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component CB16CE_MXILINX_lfsr_ext
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q   : out   std_logic_vector (15 downto 0); 
             TC  : out   std_logic);
   end component;
   
   component CB2CE_MXILINX_lfsr_ext
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component FD_MXILINX_lfsr_ext
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   attribute HU_SET of XLXI_3 : LABEL is "XLXI_3_18";
   attribute HU_SET of XLXI_4 : LABEL is "XLXI_4_19";
   attribute HU_SET of XLXI_5 : LABEL is "XLXI_5_20";
   attribute HU_SET of XLXI_26 : LABEL is "XLXI_26_21";
   attribute HU_SET of XLXI_28 : LABEL is "XLXI_28_22";
   attribute HU_SET of XLXI_29 : LABEL is "XLXI_29_23";
   attribute HU_SET of XLXI_30 : LABEL is "XLXI_30_24";
   attribute HU_SET of XLXI_31 : LABEL is "XLXI_31_25";
   attribute HU_SET of XLXI_53 : LABEL is "XLXI_53_26";
   attribute HU_SET of XLXI_57 : LABEL is "XLXI_57_27";
   attribute HU_SET of XLXI_60 : LABEL is "XLXI_60_28";
begin
   XLXI_1 : VCC
      port map (P=>XLXN_2);
   
   XLXI_2 : GND
      port map (G=>T1);
   
   XLXI_3 : FDC_MXILINX_lfsr_ext
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_19, Q=>XLXN_24);
   
   XLXI_4 : FDC_MXILINX_lfsr_ext
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_24, Q=>XLXN_26);
   
   XLXI_5 : FDC_MXILINX_lfsr_ext
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_26, Q=>XLXN_1);
   
   XLXI_13 : dek7seg_symbol
      port map (x0=>XLXN_19, x1=>XLXN_24, x2=>XLXN_26, x3=>XLXN_22, a=>a, b=>b,
            c=>c, d=>d, e=>e, f=>f, g=>g);
   
   XLXI_14 : GND
      port map (G=>XLXN_22);
   
   XLXI_26 : FDC_MXILINX_lfsr_ext
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_1, Q=>XLXN_5);
   
   XLXI_28 : FDC_MXILINX_lfsr_ext
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_8, Q=>XLXN_9);
   
   XLXI_29 : FDC_MXILINX_lfsr_ext
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_9, Q=>XLXN_4);
   
   XLXI_30 : FDC_MXILINX_lfsr_ext
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_4, Q=>XLXN_3);
   
   XLXI_31 : FDC_MXILINX_lfsr_ext
      port map (C=>oo, CLR=>XLXN_27, D=>XLXN_7, Q=>XLXN_28);
   
   XLXI_32 : INV
      port map (I=>S1, O=>XLXN_27);
   
   XLXI_33 : XOR2
      port map (I0=>XLXN_28, I1=>XLXN_19, O=>XLXN_8);
   
   XLXI_34 : XOR2
      port map (I0=>XLXN_19, I1=>XLXN_5, O=>XLXN_7);
   
   XLXI_35 : XOR2
      port map (I0=>XLXN_3, I1=>XLXN_2, O=>XLXN_19);
   
   XLXI_53 : CB16CE_MXILINX_lfsr_ext
      port map (C=>SYNC, CE=>XLXN_60, CLR=>XLXN_59, CEO=>open, Q(15 downto
            0)=>Q(15 downto 0), TC=>open);
   
   XLXI_54 : VCC
      port map (P=>XLXN_60);
   
   XLXI_55 : GND
      port map (G=>XLXN_59);
   
   XLXI_57 : CB2CE_MXILINX_lfsr_ext
      port map (C=>Q(15), CE=>XLXN_77, CLR=>XLXN_78, CEO=>open, Q0=>open,
            Q1=>XLXN_89, TC=>open);
   
   XLXI_58 : GND
      port map (G=>XLXN_78);
   
   XLXI_59 : VCC
      port map (P=>XLXN_77);
   
   XLXI_60 : FD_MXILINX_lfsr_ext
      port map (C=>XLXN_89, D=>S3, Q=>XLXN_87);
   
   XLXI_61 : INV
      port map (I=>XLXN_87, O=>oo);
   
end BEHAVIORAL;


