-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Thu Sep 18 12:10:26 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_dek7seg is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_dek7seg;

architecture BEHAVIORAL of FD_MXILINX_dek7seg is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\ftce.sch - Thu Sep 18 12:10:26 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCE_MXILINX_dek7seg is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_dek7seg;

architecture BEHAVIORAL of FTCE_MXILINX_dek7seg is
   attribute BOX_TYPE       : STRING ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : COMPONENT is "BLACK_BOX";
   
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T, I1=>Q_DUMMY, O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>TQ, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb4ce.sch - Thu Sep 18 12:10:26 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB4CE_MXILINX_dek7seg is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic; 
          TC  : out   std_logic);
end CB4CE_MXILINX_dek7seg;

architecture BEHAVIORAL of CB4CE_MXILINX_dek7seg is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   signal Q3_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_dek7seg
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : LABEL is "U0_0";
   attribute HU_SET of U1 : LABEL is "U1_1";
   attribute HU_SET of U2 : LABEL is "U2_2";
   attribute HU_SET of U3 : LABEL is "U3_3";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   Q3 <= Q3_DUMMY;
   TC <= TC_DUMMY;
   I_36_31 : AND4
      port map (I0=>Q3_DUMMY, I1=>Q2_DUMMY, I2=>Q1_DUMMY, I3=>Q0_DUMMY,
            O=>TC_DUMMY);
   
   I_36_32 : AND3
      port map (I0=>Q2_DUMMY, I1=>Q1_DUMMY, I2=>Q0_DUMMY, O=>T3);
   
   I_36_33 : AND2
      port map (I0=>Q1_DUMMY, I1=>Q0_DUMMY, O=>T2);
   
   I_36_58 : VCC
      port map (P=>XLXN_1);
   
   I_36_67 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   U0 : FTCE_MXILINX_dek7seg
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q0_DUMMY);
   
   U1 : FTCE_MXILINX_dek7seg
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q0_DUMMY, Q=>Q1_DUMMY);
   
   U2 : FTCE_MXILINX_dek7seg
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T2, Q=>Q2_DUMMY);
   
   U3 : FTCE_MXILINX_dek7seg
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T3, Q=>Q3_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from dek7seg.sch - Thu Sep 18 12:10:26 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity dek7seg is
   port ( CLK  : in    std_logic; 
          SYNC : in    std_logic; 
          a    : out   std_logic; 
          b    : out   std_logic; 
          c    : out   std_logic; 
          d    : out   std_logic; 
          e    : out   std_logic; 
          f    : out   std_logic; 
          g    : out   std_logic; 
          T1   : out   std_logic; 
          T2   : out   std_logic);
end dek7seg;

architecture BEHAVIORAL of dek7seg is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal XLXN_2  : std_logic;
   signal XLXN_3  : std_logic;
   signal XLXN_4  : std_logic;
   signal XLXN_11 : std_logic;
   signal XLXN_12 : std_logic;
   signal XLXN_21 : std_logic;
   signal XLXN_22 : std_logic;
   signal XLXN_23 : std_logic;
   signal XLXN_28 : std_logic;
   signal XLXN_29 : std_logic;
   signal XLXN_32 : std_logic;
   signal XLXN_33 : std_logic;
   signal XLXN_34 : std_logic;
   signal XLXN_36 : std_logic;
   signal XLXN_37 : std_logic;
   signal XLXN_73 : std_logic;
   signal XLXN_76 : std_logic;
   signal XLXN_77 : std_logic;
   signal XLXN_84 : std_logic;
   signal XLXN_85 : std_logic;
   component CB4CE_MXILINX_dek7seg
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : COMPONENT is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component AND3B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B3 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_dek7seg
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component AND4B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B3 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_4";
   attribute HU_SET of XLXI_59 : LABEL is "XLXI_59_5";
begin
   XLXI_1 : CB4CE_MXILINX_dek7seg
      port map (C=>XLXN_73, CE=>XLXN_76, CLR=>XLXN_77, CEO=>open, Q0=>XLXN_29,
            Q1=>XLXN_2, Q2=>XLXN_3, Q3=>XLXN_4, TC=>open);
   
   XLXI_12 : AND3B1
      port map (I0=>XLXN_2, I1=>XLXN_3, I2=>XLXN_29, O=>XLXN_11);
   
   XLXI_13 : AND3B1
      port map (I0=>XLXN_29, I1=>XLXN_2, I2=>XLXN_3, O=>XLXN_12);
   
   XLXI_14 : OR2
      port map (I0=>XLXN_11, I1=>XLXN_12, O=>b);
   
   XLXI_15 : AND3B2
      port map (I0=>XLXN_29, I1=>XLXN_3, I2=>XLXN_2, O=>c);
   
   XLXI_16 : AND3B2
      port map (I0=>XLXN_29, I1=>XLXN_2, I2=>XLXN_3, O=>XLXN_21);
   
   XLXI_18 : AND3
      port map (I0=>XLXN_3, I1=>XLXN_2, I2=>XLXN_29, O=>XLXN_23);
   
   XLXI_19 : OR3
      port map (I0=>XLXN_21, I1=>XLXN_22, I2=>XLXN_23, O=>d);
   
   XLXI_20 : AND2B1
      port map (I0=>XLXN_2, I1=>XLXN_3, O=>XLXN_28);
   
   XLXI_22 : OR2
      port map (I0=>XLXN_29, I1=>XLXN_28, O=>e);
   
   XLXI_23 : AND3B2
      port map (I0=>XLXN_4, I1=>XLXN_3, I2=>XLXN_29, O=>XLXN_33);
   
   XLXI_25 : AND2
      port map (I0=>XLXN_29, I1=>XLXN_2, O=>XLXN_32);
   
   XLXI_26 : AND2B1
      port map (I0=>XLXN_3, I1=>XLXN_2, O=>XLXN_34);
   
   XLXI_27 : OR3
      port map (I0=>XLXN_34, I1=>XLXN_32, I2=>XLXN_33, O=>f);
   
   XLXI_28 : AND3B3
      port map (I0=>XLXN_2, I1=>XLXN_3, I2=>XLXN_4, O=>XLXN_36);
   
   XLXI_29 : AND3
      port map (I0=>XLXN_3, I1=>XLXN_29, I2=>XLXN_2, O=>XLXN_37);
   
   XLXI_30 : OR2
      port map (I0=>XLXN_37, I1=>XLXN_36, O=>g);
   
   XLXI_58 : VCC
      port map (P=>XLXN_76);
   
   XLXI_59 : FD_MXILINX_dek7seg
      port map (C=>SYNC, D=>CLK, Q=>XLXN_73);
   
   XLXI_60 : GND
      port map (G=>T1);
   
   XLXI_62 : AND4B3
      port map (I0=>XLXN_4, I1=>XLXN_3, I2=>XLXN_2, I3=>XLXN_29, O=>XLXN_22);
   
   XLXI_63 : AND2
      port map (I0=>XLXN_4, I1=>XLXN_2, O=>XLXN_77);
   
   XLXI_64 : AND3B2
      port map (I0=>XLXN_29, I1=>XLXN_2, I2=>XLXN_3, O=>XLXN_84);
   
   XLXI_65 : AND4B3
      port map (I0=>XLXN_3, I1=>XLXN_4, I2=>XLXN_2, I3=>XLXN_29, O=>XLXN_85);
   
   XLXI_69 : OR2
      port map (I0=>XLXN_84, I1=>XLXN_85, O=>a);
   
   XLXI_71 : GND
      port map (G=>T2);
   
end BEHAVIORAL;


