-- VHDL model created from dekoder.sch - Thu Mar 20 19:06:37 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity dekoder is
   port ( x0 : in    std_logic; 
          x1 : in    std_logic; 
          x2 : in    std_logic; 
          x3 : in    std_logic; 
          a  : out   std_logic; 
          b  : out   std_logic; 
          c  : out   std_logic; 
          d  : out   std_logic; 
          e  : out   std_logic; 
          f  : out   std_logic; 
          g  : out   std_logic);
end dekoder;

architecture BEHAVIORAL of dekoder is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_6  : std_logic;
   signal XLXN_7  : std_logic;
   signal XLXN_9  : std_logic;
   signal XLXN_10 : std_logic;
   signal XLXN_18 : std_logic;
   signal XLXN_19 : std_logic;
   signal XLXN_20 : std_logic;
   signal XLXN_22 : std_logic;
   signal XLXN_28 : std_logic;
   signal XLXN_29 : std_logic;
   signal XLXN_30 : std_logic;
   signal XLXN_32 : std_logic;
   signal XLXN_33 : std_logic;
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : COMPONENT is "BLACK_BOX";
   
   component AND4B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B3 : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : COMPONENT is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component AND3B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B3 : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_1 : AND3B2
      port map (I0=>x0, I1=>x1, I2=>x2, O=>XLXN_6);
   
   XLXI_2 : AND4B3
      port map (I0=>x3, I1=>x2, I2=>x1, I3=>x0, O=>XLXN_7);
   
   XLXI_3 : OR2
      port map (I0=>XLXN_7, I1=>XLXN_6, O=>a);
   
   XLXI_4 : AND3B1
      port map (I0=>x1, I1=>x2, I2=>x0, O=>XLXN_9);
   
   XLXI_5 : AND3B1
      port map (I0=>x0, I1=>x1, I2=>x2, O=>XLXN_10);
   
   XLXI_6 : OR2
      port map (I0=>XLXN_10, I1=>XLXN_9, O=>b);
   
   XLXI_8 : AND3B2
      port map (I0=>x2, I1=>x0, I2=>x1, O=>c);
   
   XLXI_9 : AND3B2
      port map (I0=>x0, I1=>x1, I2=>x2, O=>XLXN_18);
   
   XLXI_11 : AND4B3
      port map (I0=>x3, I1=>x2, I2=>x1, I3=>x0, O=>XLXN_19);
   
   XLXI_12 : AND3
      port map (I0=>x2, I1=>x1, I2=>x0, O=>XLXN_20);
   
   XLXI_13 : OR3
      port map (I0=>XLXN_20, I1=>XLXN_19, I2=>XLXN_18, O=>d);
   
   XLXI_14 : OR2
      port map (I0=>XLXN_22, I1=>x0, O=>e);
   
   XLXI_15 : AND2B1
      port map (I0=>x1, I1=>x2, O=>XLXN_22);
   
   XLXI_16 : AND2
      port map (I0=>x1, I1=>x0, O=>XLXN_28);
   
   XLXI_18 : AND3B2
      port map (I0=>x3, I1=>x2, I2=>x0, O=>XLXN_30);
   
   XLXI_19 : AND2B1
      port map (I0=>x2, I1=>x1, O=>XLXN_29);
   
   XLXI_20 : OR3
      port map (I0=>XLXN_30, I1=>XLXN_29, I2=>XLXN_28, O=>f);
   
   XLXI_21 : OR2
      port map (I0=>XLXN_33, I1=>XLXN_32, O=>g);
   
   XLXI_22 : AND3
      port map (I0=>x2, I1=>x1, I2=>x0, O=>XLXN_32);
   
   XLXI_23 : AND3B3
      port map (I0=>x3, I1=>x2, I2=>x1, O=>XLXN_33);
   
end BEHAVIORAL;


