-- VHDL model created from C:\Xilinx\cpld\data\drawing\ftce.sch - Sat Jun 14 13:32:58 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCE_MXILINX_test_pcb is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_test_pcb;

architecture BEHAVIORAL of FTCE_MXILINX_test_pcb is
   attribute BOX_TYPE       : STRING ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : COMPONENT is "BLACK_BOX";
   
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T, I1=>Q_DUMMY, O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>TQ, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb4ce.sch - Sat Jun 14 13:32:58 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB4CE_MXILINX_test_pcb is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic; 
          TC  : out   std_logic);
end CB4CE_MXILINX_test_pcb;

architecture BEHAVIORAL of CB4CE_MXILINX_test_pcb is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   signal Q3_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_test_pcb
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : LABEL is "U0_0";
   attribute HU_SET of U1 : LABEL is "U1_1";
   attribute HU_SET of U2 : LABEL is "U2_2";
   attribute HU_SET of U3 : LABEL is "U3_3";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   Q3 <= Q3_DUMMY;
   TC <= TC_DUMMY;
   I_36_31 : AND4
      port map (I0=>Q3_DUMMY, I1=>Q2_DUMMY, I2=>Q1_DUMMY, I3=>Q0_DUMMY,
            O=>TC_DUMMY);
   
   I_36_32 : AND3
      port map (I0=>Q2_DUMMY, I1=>Q1_DUMMY, I2=>Q0_DUMMY, O=>T3);
   
   I_36_33 : AND2
      port map (I0=>Q1_DUMMY, I1=>Q0_DUMMY, O=>T2);
   
   I_36_58 : VCC
      port map (P=>XLXN_1);
   
   I_36_67 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   U0 : FTCE_MXILINX_test_pcb
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q0_DUMMY);
   
   U1 : FTCE_MXILINX_test_pcb
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q0_DUMMY, Q=>Q1_DUMMY);
   
   U2 : FTCE_MXILINX_test_pcb
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T2, Q=>Q2_DUMMY);
   
   U3 : FTCE_MXILINX_test_pcb
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T3, Q=>Q3_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Sat Jun 14 13:32:58 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_test_pcb is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_test_pcb;

architecture BEHAVIORAL of FD_MXILINX_test_pcb is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\d3_8e.sch - Sat Jun 14 13:32:58 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity D3_8E_MXILINX_test_pcb is
   port ( A0 : in    std_logic; 
          A1 : in    std_logic; 
          A2 : in    std_logic; 
          E  : in    std_logic; 
          D0 : out   std_logic; 
          D1 : out   std_logic; 
          D2 : out   std_logic; 
          D3 : out   std_logic; 
          D4 : out   std_logic; 
          D5 : out   std_logic; 
          D6 : out   std_logic; 
          D7 : out   std_logic);
end D3_8E_MXILINX_test_pcb;

architecture BEHAVIORAL of D3_8E_MXILINX_test_pcb is
   attribute BOX_TYPE   : STRING ;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND4B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B1 : COMPONENT is "BLACK_BOX";
   
   component AND4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B2 : COMPONENT is "BLACK_BOX";
   
   component AND4B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B3 : COMPONENT is "BLACK_BOX";
   
begin
   I_36_30 : AND4
      port map (I0=>A2, I1=>A1, I2=>A0, I3=>E, O=>D7);
   
   I_36_31 : AND4B1
      port map (I0=>A0, I1=>A2, I2=>A1, I3=>E, O=>D6);
   
   I_36_32 : AND4B1
      port map (I0=>A1, I1=>A2, I2=>A0, I3=>E, O=>D5);
   
   I_36_33 : AND4B2
      port map (I0=>A1, I1=>A0, I2=>A2, I3=>E, O=>D4);
   
   I_36_34 : AND4B1
      port map (I0=>A2, I1=>A0, I2=>A1, I3=>E, O=>D3);
   
   I_36_35 : AND4B2
      port map (I0=>A2, I1=>A0, I2=>A1, I3=>E, O=>D2);
   
   I_36_36 : AND4B2
      port map (I0=>A2, I1=>A1, I2=>A0, I3=>E, O=>D1);
   
   I_36_37 : AND4B3
      port map (I0=>A2, I1=>A1, I2=>A0, I3=>E, O=>D0);
   
end BEHAVIORAL;


-- VHDL model created from test_pcb.sch - Sat Jun 14 13:32:58 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity test_pcb is
   port ( CLK      : in    std_logic; 
          CLK_FR   : in    std_logic; 
          CLK_GEN  : in    std_logic; 
          SFH      : in    std_logic; 
          S1       : in    std_logic; 
          S2       : in    std_logic; 
          S3       : in    std_logic; 
          a        : out   std_logic; 
          b        : out   std_logic; 
          c        : out   std_logic; 
          d        : out   std_logic; 
          dp       : out   std_logic; 
          e        : out   std_logic; 
          f        : out   std_logic; 
          g        : out   std_logic; 
          IRED_OUT : out   std_logic; 
          LED1     : out   std_logic; 
          LED2     : out   std_logic; 
          LED3     : out   std_logic; 
          LED4     : out   std_logic; 
          LED5     : out   std_logic; 
          MOSFET   : out   std_logic; 
          REL      : out   std_logic; 
          T1       : out   std_logic; 
          T2       : out   std_logic);
end test_pcb;

architecture BEHAVIORAL of test_pcb is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal CLK_GEN2 : std_logic;
   signal SYNC     : std_logic;
   signal XLXN_13  : std_logic;
   signal XLXN_16  : std_logic;
   signal XLXN_17  : std_logic;
   signal XLXN_31  : std_logic;
   signal XLXN_43  : std_logic;
   signal XLXN_44  : std_logic;
   signal XLXN_46  : std_logic;
   signal XLXN_69  : std_logic;
   signal XLXN_74  : std_logic;
   signal XLXN_75  : std_logic;
   signal XLXN_103 : std_logic;
   signal XLXN_105 : std_logic;
   signal XLXN_112 : std_logic;
   signal XLXN_113 : std_logic;
   signal XLXN_119 : std_logic;
   signal XLXN_128 : std_logic;
   signal XLXN_130 : std_logic;
   signal XLXN_131 : std_logic;
   signal XLXN_132 : std_logic;
   signal XLXN_133 : std_logic;
   signal XLXN_138 : std_logic;
   signal XLXN_139 : std_logic;
   signal XLXN_140 : std_logic;
   signal XLXN_141 : std_logic;
   signal XLXN_142 : std_logic;
   signal XLXN_143 : std_logic;
   signal XLXN_144 : std_logic;
   signal XLXN_171 : std_logic;
   signal XLXN_174 : std_logic;
   signal XLXN_175 : std_logic;
   signal XLXN_186 : std_logic;
   signal XLXN_197 : std_logic;
   signal XLXN_198 : std_logic;
   signal XLXN_348 : std_logic;
   signal XLXN_349 : std_logic;
   signal XLXN_386 : std_logic;
   signal XLXN_387 : std_logic;
   signal XLXN_388 : std_logic;
   signal T1_DUMMY : std_logic;
   component dekoder
      port ( x0 : in    std_logic; 
             x2 : in    std_logic; 
             x1 : in    std_logic; 
             x3 : in    std_logic; 
             a  : out   std_logic; 
             b  : out   std_logic; 
             c  : out   std_logic; 
             d  : out   std_logic; 
             e  : out   std_logic; 
             f  : out   std_logic; 
             g  : out   std_logic);
   end component;
   
   component CB4CE_MXILINX_test_pcb
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_test_pcb
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component D3_8E_MXILINX_test_pcb
      port ( A0 : in    std_logic; 
             A1 : in    std_logic; 
             A2 : in    std_logic; 
             E  : in    std_logic; 
             D0 : out   std_logic; 
             D1 : out   std_logic; 
             D2 : out   std_logic; 
             D3 : out   std_logic; 
             D4 : out   std_logic; 
             D5 : out   std_logic; 
             D6 : out   std_logic; 
             D7 : out   std_logic);
   end component;
   
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_16 : LABEL is "XLXI_16_11";
   attribute HU_SET of XLXI_29 : LABEL is "XLXI_29_12";
   attribute HU_SET of XLXI_34 : LABEL is "XLXI_34_13";
   attribute HU_SET of XLXI_65 : LABEL is "XLXI_65_8";
   attribute HU_SET of XLXI_68 : LABEL is "XLXI_68_9";
   attribute HU_SET of XLXI_75 : LABEL is "XLXI_75_10";
   attribute HU_SET of XLXI_91 : LABEL is "XLXI_91_4";
   attribute HU_SET of XLXI_92 : LABEL is "XLXI_92_5";
   attribute HU_SET of XLXI_93 : LABEL is "XLXI_93_6";
   attribute HU_SET of XLXI_125 : LABEL is "XLXI_125_7";
begin
   T1 <= T1_DUMMY;
   XLXI_15 : dekoder
      port map (x0=>XLXN_13, x1=>XLXN_43, x2=>XLXN_44, x3=>XLXN_16, a=>a, b=>b,
            c=>c, d=>d, e=>e, f=>f, g=>g);
   
   XLXI_16 : CB4CE_MXILINX_test_pcb
      port map (C=>XLXN_46, CE=>XLXN_31, CLR=>XLXN_17, CEO=>open, Q0=>XLXN_13,
            Q1=>XLXN_43, Q2=>XLXN_44, Q3=>XLXN_16, TC=>open);
   
   XLXI_17 : AND2
      port map (I0=>XLXN_43, I1=>XLXN_16, O=>XLXN_17);
   
   XLXI_23 : VCC
      port map (P=>XLXN_31);
   
   XLXI_24 : BUF
      port map (I=>CLK, O=>SYNC);
   
   XLXI_29 : FD_MXILINX_test_pcb
      port map (C=>SYNC, D=>XLXN_69, Q=>XLXN_46);
   
   XLXI_34 : CB4CE_MXILINX_test_pcb
      port map (C=>XLXN_171, CE=>XLXN_74, CLR=>XLXN_75, CEO=>open, Q0=>open,
            Q1=>open, Q2=>open, Q3=>T1_DUMMY, TC=>open);
   
   XLXI_43 : INV
      port map (I=>T1_DUMMY, O=>T2);
   
   XLXI_44 : GND
      port map (G=>XLXN_75);
   
   XLXI_45 : VCC
      port map (P=>XLXN_74);
   
   XLXI_49 : INV
      port map (I=>XLXN_46, O=>XLXN_69);
   
   XLXI_65 : D3_8E_MXILINX_test_pcb
      port map (A0=>XLXN_388, A1=>XLXN_386, A2=>XLXN_103, E=>XLXN_119,
            D0=>XLXN_128, D1=>XLXN_130, D2=>XLXN_131, D3=>XLXN_132,
            D4=>XLXN_133, D5=>open, D6=>open, D7=>open);
   
   XLXI_68 : CB4CE_MXILINX_test_pcb
      port map (C=>XLXN_113, CE=>XLXN_105, CLR=>XLXN_387, CEO=>open,
            Q0=>XLXN_388, Q1=>XLXN_386, Q2=>XLXN_103, Q3=>open, TC=>open);
   
   XLXI_70 : VCC
      port map (P=>XLXN_105);
   
   XLXI_75 : FD_MXILINX_test_pcb
      port map (C=>CLK_FR, D=>XLXN_112, Q=>XLXN_113);
   
   XLXI_76 : INV
      port map (I=>XLXN_113, O=>XLXN_112);
   
   XLXI_77 : VCC
      port map (P=>XLXN_119);
   
   XLXI_89 : INV
      port map (I=>S3, O=>REL);
   
   XLXI_90 : BUF
      port map (I=>S2, O=>MOSFET);
   
   XLXI_91 : CB4CE_MXILINX_test_pcb
      port map (C=>CLK_GEN2, CE=>XLXN_142, CLR=>XLXN_174, CEO=>open, Q0=>open,
            Q1=>open, Q2=>open, Q3=>XLXN_144, TC=>open);
   
   XLXI_92 : CB4CE_MXILINX_test_pcb
      port map (C=>XLXN_144, CE=>XLXN_141, CLR=>XLXN_138, CEO=>open, Q0=>open,
            Q1=>XLXN_140, Q2=>open, Q3=>XLXN_139, TC=>open);
   
   XLXI_93 : CB4CE_MXILINX_test_pcb
      port map (C=>XLXN_139, CE=>XLXN_143, CLR=>XLXN_175, CEO=>open, Q0=>open,
            Q1=>XLXN_186, Q2=>open, Q3=>XLXN_198, TC=>open);
   
   XLXI_94 : AND2
      port map (I0=>XLXN_139, I1=>XLXN_140, O=>XLXN_138);
   
   XLXI_95 : VCC
      port map (P=>XLXN_143);
   
   XLXI_96 : VCC
      port map (P=>XLXN_141);
   
   XLXI_97 : VCC
      port map (P=>XLXN_142);
   
   XLXI_98 : GND
      port map (G=>XLXN_174);
   
   XLXI_99 : GND
      port map (G=>XLXN_175);
   
   XLXI_111 : BUF
      port map (I=>CLK_GEN, O=>CLK_GEN2);
   
   XLXI_112 : BUF
      port map (I=>CLK_GEN, O=>XLXN_171);
   
   XLXI_122 : AND2
      port map (I0=>XLXN_197, I1=>XLXN_186, O=>IRED_OUT);
   
   XLXI_125 : CB4CE_MXILINX_test_pcb
      port map (C=>XLXN_198, CE=>XLXN_349, CLR=>XLXN_348, CEO=>open, Q0=>open,
            Q1=>open, Q2=>open, Q3=>XLXN_197, TC=>open);
   
   XLXI_198 : VCC
      port map (P=>XLXN_349);
   
   XLXI_199 : GND
      port map (G=>XLXN_348);
   
   XLXI_200 : BUF
      port map (I=>SFH, O=>dp);
   
   XLXI_214 : XOR2
      port map (I0=>S1, I1=>XLXN_128, O=>LED1);
   
   XLXI_215 : XOR2
      port map (I0=>S1, I1=>XLXN_130, O=>LED2);
   
   XLXI_216 : XOR2
      port map (I0=>S1, I1=>XLXN_131, O=>LED3);
   
   XLXI_217 : XOR2
      port map (I0=>S1, I1=>XLXN_132, O=>LED4);
   
   XLXI_218 : XOR2
      port map (I0=>S1, I1=>XLXN_133, O=>LED5);
   
   XLXI_219 : AND2
      port map (I0=>XLXN_103, I1=>XLXN_388, O=>XLXN_387);
   
end BEHAVIORAL;


