library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity dekoder is
    Port ( s : in std_logic_vector (3 downto 0);
           d : in std_logic_vector (3 downto 0);
           j : in std_logic_vector (3 downto 0);
           zatrzask : in std_logic;
		 sel : in std_logic  ;
           T1 : out std_logic  ;
           T2 : out std_logic  ;
           wysw : out std_logic_vector (6 downto 0);
           led : out std_logic_vector (3 downto 0) 
		);
end dekoder;

architecture dekoderBehavioral of dekoder is
	signal setki, dzies, jedn  : std_logic_vector(3 downto 0) ;
begin

	--zarzaskiwanie informacji
	setki <= s when zatrzask='1' ;
	dzies <= d when zatrzask='1' ;
	jedn  <= j when zatrzask='1' ;

    	--obsluga tranzystorow
	T1 <= '0' when sel='0' else '1' ;
	T2 <= '0' when sel='1' else '1' ;

	--wyswietlenie prawdidlowej wartosci na wyswietlaczu
	led <= not setki  ;
	wysw <= 
		--wyswietlenie jednosci
		"1000000" when (jedn = "0000") and (sel='0') else
		"1111001" when (jedn = "0001") and (sel='0') else
		"0100100" when (jedn = "0010") and (sel='0') else
		"0110000" when (jedn = "0011") and (sel='0') else
		"0011001" when (jedn = "0100") and (sel='0') else
		"0010010" when (jedn = "0101") and (sel='0') else
		"0000010" when (jedn = "0110") and (sel='0') else
		"1111000" when (jedn = "0111") and (sel='0') else
		"0000000" when (jedn = "1000") and (sel='0') else
		"0010000" when (jedn = "1001") and (sel='0') else
		
		--wyswietlenie dziesiatek
		"1000000" when (dzies = "0000") and (sel='1') else
		"1111001" when (dzies = "0001") and (sel='1') else
		"0100100" when (dzies = "0010") and (sel='1') else
		"0110000" when (dzies = "0011") and (sel='1') else
		"0011001" when (dzies = "0100") and (sel='1') else
		"0010010" when (dzies = "0101") and (sel='1') else
		"0000010" when (dzies = "0110") and (sel='1') else
		"1111000" when (dzies = "0111") and (sel='1') else
		"0000000" when (dzies = "1000") and (sel='1') else
		"0010000" when (dzies = "1001") and (sel='1') else
		"XXXXXXX"  ;
end dekoderBehavioral;
