-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Tue Dec 30 13:46:31 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_miernik_czestotliwosci is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_miernik_czestotliwosci;

architecture BEHAVIORAL of FD_MXILINX_miernik_czestotliwosci is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from miernik_czestotliwosci.sch - Tue Dec 30 13:46:31 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity miernik_czestotliwosci is
   port ( inCLK : in    std_logic; 
          SYNC  : in    std_logic; 
          led   : out   std_logic_vector (3 downto 0); 
          T1    : out   std_logic; 
          T2    : out   std_logic; 
          wysw  : out   std_logic_vector (6 downto 0));
end miernik_czestotliwosci;

architecture BEHAVIORAL of miernik_czestotliwosci is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal XLXN_1  : std_logic_vector (3 downto 0);
   signal XLXN_2  : std_logic_vector (3 downto 0);
   signal XLXN_3  : std_logic_vector (3 downto 0);
   signal XLXN_4  : std_logic;
   signal XLXN_5  : std_logic;
   signal XLXN_14 : std_logic;
   signal XLXN_15 : std_logic;
   signal XLXN_16 : std_logic;
   signal XLXN_17 : std_logic;
   signal XLXN_19 : std_logic;
   component modulo10
      port ( inCLK  : in    std_logic; 
             reset  : in    std_logic; 
             outCLK : out   std_logic; 
             x      : out   std_logic_vector (3 downto 0));
   end component;
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component uklad_sterujacy
      port ( SYNC     : in    std_logic; 
             bramka   : inout std_logic; 
             zatrzask : out   std_logic; 
             reset    : out   std_logic);
   end component;
   
   component FD_MXILINX_miernik_czestotliwosci
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component dekoder
      port ( zatrzask : in    std_logic; 
             sel      : in    std_logic; 
             s        : in    std_logic_vector (3 downto 0); 
             d        : in    std_logic_vector (3 downto 0); 
             j        : in    std_logic_vector (3 downto 0); 
             T1       : out   std_logic; 
             T2       : out   std_logic; 
             wysw     : out   std_logic_vector (6 downto 0); 
             led      : out   std_logic_vector (3 downto 0));
   end component;
   
   attribute HU_SET of XLXI_8 : LABEL is "XLXI_8_0";
begin
   XLXI_2 : modulo10
      port map (inCLK=>XLXN_4, reset=>XLXN_15, outCLK=>open, x(3 downto
            0)=>XLXN_3(3 downto 0));
   
   XLXI_3 : modulo10
      port map (inCLK=>XLXN_5, reset=>XLXN_15, outCLK=>XLXN_4, x(3 downto
            0)=>XLXN_2(3 downto 0));
   
   XLXI_4 : modulo10
      port map (inCLK=>XLXN_14, reset=>XLXN_15, outCLK=>XLXN_5, x(3 downto
            0)=>XLXN_1(3 downto 0));
   
   XLXI_6 : AND2
      port map (I0=>XLXN_19, I1=>XLXN_17, O=>XLXN_14);
   
   XLXI_7 : uklad_sterujacy
      port map (SYNC=>SYNC, reset=>XLXN_15, zatrzask=>XLXN_16, bramka=>XLXN_17);
   
   XLXI_8 : FD_MXILINX_miernik_czestotliwosci
      port map (C=>SYNC, D=>inCLK, Q=>XLXN_19);
   
   XLXI_9 : dekoder
      port map (d(3 downto 0)=>XLXN_2(3 downto 0), j(3 downto 0)=>XLXN_1(3
            downto 0), s(3 downto 0)=>XLXN_3(3 downto 0), sel=>XLXN_19,
            zatrzask=>XLXN_16, led(3 downto 0)=>led(3 downto 0), T1=>T1,
            T2=>T2, wysw(6 downto 0)=>wysw(6 downto 0));
   
end BEHAVIORAL;


