-- VHDL model created from miernik_czestotliwosci_ext.sch - Fri Dec 19 21:22:45 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity miernik_czestotliwosci_ext is
   port ( CLK    : in    std_logic; 
          CLK_FR : in    std_logic; 
          SYNC   : in    std_logic; 
          S1     : in    std_logic; 
          led    : out   std_logic_vector (3 downto 0); 
          T1     : out   std_logic; 
          T2     : out   std_logic; 
          wysw   : out   std_logic_vector (6 downto 0));
end miernik_czestotliwosci_ext;

architecture BEHAVIORAL of miernik_czestotliwosci_ext is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_1  : std_logic;
   signal XLXN_2  : std_logic;
   signal XLXN_3  : std_logic_vector (3 downto 0);
   signal XLXN_4  : std_logic_vector (3 downto 0);
   signal XLXN_5  : std_logic_vector (3 downto 0);
   signal XLXN_10 : std_logic;
   signal XLXN_13 : std_logic;
   signal XLXN_17 : std_logic;
   signal XLXN_21 : std_logic;
   signal XLXN_22 : std_logic;
   component uklad_sterujacy
      port ( SYNC     : in    std_logic; 
             bramka   : inout std_logic; 
             zatrzask : out   std_logic; 
             reset    : out   std_logic);
   end component;
   
   component preskaler
      port ( inCLK  : in    std_logic; 
             set    : in    std_logic; 
             outCLK : out   std_logic);
   end component;
   
   component modulo10
      port ( inCLK  : in    std_logic; 
             reset  : in    std_logic; 
             outCLK : out   std_logic; 
             x      : out   std_logic_vector (3 downto 0));
   end component;
   
   component dekoder
      port ( zatrzask : in    std_logic; 
             SYNC     : in    std_logic; 
             s        : in    std_logic_vector (3 downto 0); 
             d        : in    std_logic_vector (3 downto 0); 
             j        : in    std_logic_vector (3 downto 0); 
             T1       : out   std_logic; 
             T2       : out   std_logic; 
             wysw     : out   std_logic_vector (6 downto 0); 
             led      : out   std_logic_vector (3 downto 0); 
             sel      : in    std_logic);
   end component;
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_1 : uklad_sterujacy
      port map (SYNC=>SYNC, reset=>XLXN_10, zatrzask=>XLXN_17, bramka=>XLXN_22);
   
   XLXI_2 : preskaler
      port map (inCLK=>XLXN_21, set=>S1, outCLK=>XLXN_13);
   
   XLXI_3 : modulo10
      port map (inCLK=>XLXN_2, reset=>XLXN_10, outCLK=>open, x(3 downto
            0)=>XLXN_4(3 downto 0));
   
   XLXI_4 : modulo10
      port map (inCLK=>XLXN_1, reset=>XLXN_10, outCLK=>XLXN_2, x(3 downto
            0)=>XLXN_3(3 downto 0));
   
   XLXI_5 : modulo10
      port map (inCLK=>XLXN_13, reset=>XLXN_10, outCLK=>XLXN_1, x(3 downto
            0)=>XLXN_5(3 downto 0));
   
   XLXI_6 : dekoder
      port map (d(3 downto 0)=>XLXN_3(3 downto 0), j(3 downto 0)=>XLXN_5(3
            downto 0), s(3 downto 0)=>XLXN_4(3 downto 0), sel=>CLK, SYNC=>SYNC,
            zatrzask=>XLXN_17, led(3 downto 0)=>led(3 downto 0), T1=>T1,
            T2=>T2, wysw(6 downto 0)=>wysw(6 downto 0));
   
   XLXI_7 : AND2
      port map (I0=>CLK_FR, I1=>XLXN_22, O=>XLXN_21);
   
end BEHAVIORAL;


