library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity uklad_sterujacy is
    Port ( SYNC : in std_logic;
           bramka : inout std_logic;
           zatrzask : out std_logic;
		 reset : out std_logic);
end uklad_sterujacy;

architecture uklad_sterujacyBehavioral of uklad_sterujacy is begin
	sterownik: process (SYNC) is
		variable licznik : unsigned (24 downto 0) ;
	begin
		--generacja impulsu 1 sek
		if rising_edge(SYNC) then
			--zwiekszenie zawartosic licznika
			licznik := licznik + 1 ;

			--wysterowanie syganlow
			if (licznik=1000000) then
				zatrzask <= '1' and (not bramka);
			elsif (licznik=1500000) then
				zatrzask <= '0' ;
			elsif (licznik=2000000) then
				reset <= '1' and (not bramka);
			elsif (licznik=2500000) then
				reset <= '0' ;
			end if;

			--odliczanie dlugosci impulsu
			if licznik = 24000000 then
				licznik := "0000000000000000000000000" ;
				bramka <= not bramka;
			end if ;
		end if;
	end process sterownik;

	--obsluga zakresu
end uklad_sterujacyBehavioral;
