-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Wed Dec 31 16:35:11 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_odbiornik_rc5 is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_odbiornik_rc5;

architecture BEHAVIORAL of FD_MXILINX_odbiornik_rc5 is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fdre.sch - Wed Dec 31 16:35:11 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FDRE_MXILINX_odbiornik_rc5 is
   port ( C  : in    std_logic; 
          CE : in    std_logic; 
          D  : in    std_logic; 
          R  : in    std_logic; 
          Q  : out   std_logic);
end FDRE_MXILINX_odbiornik_rc5;

architecture BEHAVIORAL of FDRE_MXILINX_odbiornik_rc5 is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   attribute RLOC       : STRING ;
   signal A0      : std_logic;
   signal A1      : std_logic;
   signal QD      : std_logic;
   signal Q_DUMMY : std_logic;
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : COMPONENT is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_odbiornik_rc5
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   attribute HU_SET of I_36_42 : LABEL is "I_36_42_0";
   attribute RLOC of I_36_42 : LABEL is "R0C0";
begin
   Q <= Q_DUMMY;
   I_36_32 : AND3B1
      port map (I0=>R, I1=>D, I2=>CE, O=>A1);
   
   I_36_33 : AND3B2
      port map (I0=>CE, I1=>R, I2=>Q_DUMMY, O=>A0);
   
   I_36_34 : OR2
      port map (I0=>A1, I1=>A0, O=>QD);
   
   I_36_42 : FD_MXILINX_odbiornik_rc5
      port map (C=>C, D=>QD, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\sr4re.sch - Wed Dec 31 16:35:11 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity SR4RE_MXILINX_odbiornik_rc5 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          R   : in    std_logic; 
          SLI : in    std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic);
end SR4RE_MXILINX_odbiornik_rc5;

architecture BEHAVIORAL of SR4RE_MXILINX_odbiornik_rc5 is
   attribute HU_SET     : STRING ;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   component FDRE_MXILINX_odbiornik_rc5
      port ( C  : in    std_logic; 
             CE : in    std_logic; 
             D  : in    std_logic; 
             R  : in    std_logic; 
             Q  : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : LABEL is "U0_1";
   attribute HU_SET of U1 : LABEL is "U1_2";
   attribute HU_SET of U2 : LABEL is "U2_3";
   attribute HU_SET of U3 : LABEL is "U3_4";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   U0 : FDRE_MXILINX_odbiornik_rc5
      port map (C=>C, CE=>CE, D=>SLI, R=>R, Q=>Q0_DUMMY);
   
   U1 : FDRE_MXILINX_odbiornik_rc5
      port map (C=>C, CE=>CE, D=>Q0_DUMMY, R=>R, Q=>Q1_DUMMY);
   
   U2 : FDRE_MXILINX_odbiornik_rc5
      port map (C=>C, CE=>CE, D=>Q1_DUMMY, R=>R, Q=>Q2_DUMMY);
   
   U3 : FDRE_MXILINX_odbiornik_rc5
      port map (C=>C, CE=>CE, D=>Q2_DUMMY, R=>R, Q=>Q3);
   
end BEHAVIORAL;


-- VHDL model created from odbiornik_rc5.sch - Wed Dec 31 16:35:11 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity odbiornik_rc5 is
   port ( SFH  : in    std_logic; 
          SYNC : in    std_logic; 
          LED1 : out   std_logic; 
          LED5 : out   std_logic; 
          T1   : out   std_logic; 
          wys  : out   std_logic_vector (6 downto 0));
end odbiornik_rc5;

architecture BEHAVIORAL of odbiornik_rc5 is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal x          : std_logic_vector (3 downto 0);
   signal XLXN_13    : std_logic;
   signal XLXN_32    : std_logic;
   signal XLXN_34    : std_logic;
   signal LED1_DUMMY : std_logic;
   signal LED5_DUMMY : std_logic;
   signal T1_DUMMY   : std_logic;
   component detektor_transmisji
      port ( sfh  : in    std_logic; 
             sync : in    std_logic; 
             rec  : out   std_logic);
   end component;
   
   component uklad_taktujacy
      port ( enable  : in    std_logic; 
             sync    : in    std_logic; 
             out_clk : inout std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_odbiornik_rc5
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component SR4RE_MXILINX_odbiornik_rc5
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             R   : in    std_logic; 
             SLI : in    std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic);
   end component;
   
   component dekoder7segm
      port ( x : in    std_logic_vector (3 downto 0); 
             y : out   std_logic_vector (6 downto 0));
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_11 : LABEL is "XLXI_11_5";
   attribute HU_SET of XLXI_13 : LABEL is "XLXI_13_6";
begin
   LED1 <= LED1_DUMMY;
   LED5 <= LED5_DUMMY;
   T1 <= T1_DUMMY;
   XLXI_1 : detektor_transmisji
      port map (sfh=>XLXN_34, sync=>SYNC, rec=>LED1_DUMMY);
   
   XLXI_7 : uklad_taktujacy
      port map (enable=>LED1_DUMMY, sync=>SYNC, out_clk=>XLXN_32);
   
   XLXI_9 : GND
      port map (G=>T1_DUMMY);
   
   XLXI_10 : VCC
      port map (P=>XLXN_13);
   
   XLXI_11 : FD_MXILINX_odbiornik_rc5
      port map (C=>SYNC, D=>XLXN_32, Q=>LED5_DUMMY);
   
   XLXI_13 : SR4RE_MXILINX_odbiornik_rc5
      port map (C=>LED5_DUMMY, CE=>XLXN_13, R=>T1_DUMMY, SLI=>XLXN_34,
            Q0=>x(0), Q1=>x(1), Q2=>x(2), Q3=>x(3));
   
   XLXI_15 : dekoder7segm
      port map (x(3 downto 0)=>x(3 downto 0), y(6 downto 0)=>wys(6 downto 0));
   
   XLXI_16 : INV
      port map (I=>SFH, O=>XLXN_34);
   
end BEHAVIORAL;


