-- VHDL model created from sterownik_pwm.sch - Wed Dec 31 14:53:07 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity sterownik_pwm is
   port ( SYNC : in    std_logic; 
          S1   : in    std_logic; 
          S2   : in    std_logic; 
          LED1 : out   std_logic; 
          T1   : out   std_logic; 
          wys  : out   std_logic_vector (6 downto 0));
end sterownik_pwm;

architecture BEHAVIORAL of sterownik_pwm is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic_vector (3 downto 0);
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component pwm_module
      port ( CLK : in    std_logic; 
             INC : in    std_logic; 
             DEC : in    std_logic; 
             pwm : out   std_logic; 
             x   : out   std_logic_vector (3 downto 0));
   end component;
   
   component dekoder7segm
      port ( wej  : in    std_logic_vector (3 downto 0); 
             wysw : out   std_logic_vector (6 downto 0));
   end component;
   
begin
   XLXI_6 : GND
      port map (G=>T1);
   
   XLXI_7 : pwm_module
      port map (CLK=>SYNC, DEC=>S2, INC=>S1, pwm=>LED1, x(3 downto 0)=>XLXN_4(3
            downto 0));
   
   XLXI_8 : dekoder7segm
      port map (wej(3 downto 0)=>XLXN_4(3 downto 0), wysw(6 downto 0)=>wys(6
            downto 0));
   
end BEHAVIORAL;


