-- VHDL model created from C:\Xilinx\cpld\data\drawing\sr8ce.sch - Fri Aug 08 23:55:00 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity SR8CE_MXILINX_rejestr_przesuwajacy is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          SLI : in    std_logic; 
          Q   : out   std_logic_vector (7 downto 0));
end SR8CE_MXILINX_rejestr_przesuwajacy;

architecture BEHAVIORAL of SR8CE_MXILINX_rejestr_przesuwajacy is
   attribute BOX_TYPE   : STRING ;
   signal Q_DUMMY : std_logic_vector (7 downto 0);
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : COMPONENT is "BLACK_BOX";
   
begin
   Q(7 downto 0) <= Q_DUMMY(7 downto 0);
   Q0 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>SLI, Q=>Q_DUMMY(0));
   
   Q1 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(0), Q=>Q_DUMMY(1));
   
   Q2 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(1), Q=>Q_DUMMY(2));
   
   Q3 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(2), Q=>Q_DUMMY(3));
   
   Q4 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(3), Q=>Q_DUMMY(4));
   
   Q5 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(4), Q=>Q_DUMMY(5));
   
   Q6 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(5), Q=>Q_DUMMY(6));
   
   Q7 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(6), Q=>Q_DUMMY(7));
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Fri Aug 08 23:55:00 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_rejestr_przesuwajacy is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_rejestr_przesuwajacy;

architecture BEHAVIORAL of FD_MXILINX_rejestr_przesuwajacy is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from rejestr_przesuwajacy.sch - Fri Aug 08 23:55:00 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity rejestr_przesuwajacy is
   port ( CLK  : in    std_logic; 
          SYNC : in    std_logic; 
          S1   : in    std_logic; 
          D2   : out   std_logic; 
          D3   : out   std_logic; 
          D4   : out   std_logic; 
          D5   : out   std_logic; 
          D6   : out   std_logic);
end rejestr_przesuwajacy;

architecture BEHAVIORAL of rejestr_przesuwajacy is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal mag    : std_logic_vector (7 downto 0);
   signal XLXN_1 : std_logic;
   signal XLXN_2 : std_logic;
   signal XLXN_5 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_rejestr_przesuwajacy
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component SR8CE_MXILINX_rejestr_przesuwajacy
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             SLI : in    std_logic; 
             Q   : out   std_logic_vector (7 downto 0));
   end component;
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_2 : LABEL is "XLXI_2_0";
   attribute HU_SET of XLXI_4 : LABEL is "XLXI_4_1";
begin
   XLXI_1 : GND
      port map (G=>XLXN_1);
   
   XLXI_2 : FD_MXILINX_rejestr_przesuwajacy
      port map (C=>SYNC, D=>CLK, Q=>XLXN_5);
   
   XLXI_3 : VCC
      port map (P=>XLXN_2);
   
   XLXI_4 : SR8CE_MXILINX_rejestr_przesuwajacy
      port map (C=>XLXN_5, CE=>XLXN_2, CLR=>XLXN_1, SLI=>S1, Q(7 downto
            0)=>mag(7 downto 0));
   
   XLXI_5 : BUF
      port map (I=>mag(0), O=>D6);
   
   XLXI_6 : BUF
      port map (I=>mag(1), O=>D5);
   
   XLXI_10 : BUF
      port map (I=>mag(2), O=>D4);
   
   XLXI_11 : BUF
      port map (I=>mag(3), O=>D3);
   
   XLXI_12 : BUF
      port map (I=>mag(4), O=>D2);
   
end BEHAVIORAL;


