-- VHDL model created from C:\Xilinx\cpld\data\drawing\ftce.sch - Wed Mar 04 22:46:46 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCE_MXILINX_automat_oswietleniowy is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_automat_oswietleniowy;

architecture BEHAVIORAL of FTCE_MXILINX_automat_oswietleniowy is
   attribute BOX_TYPE       : STRING ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : COMPONENT is "BLACK_BOX";
   
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T, I1=>Q_DUMMY, O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>TQ, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb16ce.sch - Wed Mar 04 22:46:46 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB16CE_MXILINX_automat_oswietleniowy is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q   : out   std_logic_vector (15 downto 0); 
          TC  : out   std_logic);
end CB16CE_MXILINX_automat_oswietleniowy;

architecture BEHAVIORAL of CB16CE_MXILINX_automat_oswietleniowy is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal T4       : std_logic;
   signal T5       : std_logic;
   signal T6       : std_logic;
   signal T7       : std_logic;
   signal T8       : std_logic;
   signal T9       : std_logic;
   signal T10      : std_logic;
   signal T11      : std_logic;
   signal T12      : std_logic;
   signal T13      : std_logic;
   signal T14      : std_logic;
   signal T15      : std_logic;
   signal XLXN_1   : std_logic;
   signal Q_DUMMY  : std_logic_vector (15 downto 0);
   signal TC_DUMMY : std_logic;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_automat_oswietleniowy
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of Q0 : LABEL is "Q0_1";
   attribute HU_SET of Q1 : LABEL is "Q1_0";
   attribute HU_SET of Q2 : LABEL is "Q2_3";
   attribute HU_SET of Q3 : LABEL is "Q3_2";
   attribute HU_SET of Q4 : LABEL is "Q4_7";
   attribute HU_SET of Q5 : LABEL is "Q5_6";
   attribute HU_SET of Q6 : LABEL is "Q6_5";
   attribute HU_SET of Q7 : LABEL is "Q7_4";
   attribute HU_SET of Q8 : LABEL is "Q8_8";
   attribute HU_SET of Q9 : LABEL is "Q9_9";
   attribute HU_SET of Q10 : LABEL is "Q10_10";
   attribute HU_SET of Q11 : LABEL is "Q11_11";
   attribute HU_SET of Q12 : LABEL is "Q12_12";
   attribute HU_SET of Q13 : LABEL is "Q13_13";
   attribute HU_SET of Q14 : LABEL is "Q14_14";
   attribute HU_SET of Q15 : LABEL is "Q15_15";
begin
   Q(15 downto 0) <= Q_DUMMY(15 downto 0);
   TC <= TC_DUMMY;
   I_36_3 : AND3
      port map (I0=>Q_DUMMY(2), I1=>Q_DUMMY(1), I2=>Q_DUMMY(0), O=>T3);
   
   I_36_4 : AND2
      port map (I0=>Q_DUMMY(1), I1=>Q_DUMMY(0), O=>T2);
   
   I_36_9 : VCC
      port map (P=>XLXN_1);
   
   I_36_10 : AND4
      port map (I0=>Q_DUMMY(3), I1=>Q_DUMMY(2), I2=>Q_DUMMY(1), I3=>Q_DUMMY(0),
            O=>T4);
   
   I_36_14 : AND5
      port map (I0=>Q_DUMMY(7), I1=>Q_DUMMY(6), I2=>Q_DUMMY(5), I3=>Q_DUMMY(4),
            I4=>T4, O=>T8);
   
   I_36_15 : AND2
      port map (I0=>Q_DUMMY(4), I1=>T4, O=>T5);
   
   I_36_19 : AND3
      port map (I0=>Q_DUMMY(5), I1=>Q_DUMMY(4), I2=>T4, O=>T6);
   
   I_36_21 : AND4
      port map (I0=>Q_DUMMY(6), I1=>Q_DUMMY(5), I2=>Q_DUMMY(4), I3=>T4, O=>T7);
   
   I_36_22 : AND5
      port map (I0=>Q_DUMMY(15), I1=>Q_DUMMY(14), I2=>Q_DUMMY(13),
            I3=>Q_DUMMY(12), I4=>T12, O=>TC_DUMMY);
   
   I_36_23 : AND2
      port map (I0=>Q_DUMMY(12), I1=>T12, O=>T13);
   
   I_36_24 : AND3
      port map (I0=>Q_DUMMY(13), I1=>Q_DUMMY(12), I2=>T12, O=>T14);
   
   I_36_25 : AND4
      port map (I0=>Q_DUMMY(14), I1=>Q_DUMMY(13), I2=>Q_DUMMY(12), I3=>T12,
            O=>T15);
   
   I_36_26 : AND4
      port map (I0=>Q_DUMMY(10), I1=>Q_DUMMY(9), I2=>Q_DUMMY(8), I3=>T8,
            O=>T11);
   
   I_36_27 : AND3
      port map (I0=>Q_DUMMY(9), I1=>Q_DUMMY(8), I2=>T8, O=>T10);
   
   I_36_28 : AND2
      port map (I0=>Q_DUMMY(8), I1=>T8, O=>T9);
   
   I_36_29 : AND5
      port map (I0=>Q_DUMMY(11), I1=>Q_DUMMY(10), I2=>Q_DUMMY(9),
            I3=>Q_DUMMY(8), I4=>T8, O=>T12);
   
   I_36_54 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   Q0 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q_DUMMY(0));
   
   Q1 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q_DUMMY(0), Q=>Q_DUMMY(1));
   
   Q2 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T2, Q=>Q_DUMMY(2));
   
   Q3 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T3, Q=>Q_DUMMY(3));
   
   Q4 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T4, Q=>Q_DUMMY(4));
   
   Q5 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T5, Q=>Q_DUMMY(5));
   
   Q6 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T6, Q=>Q_DUMMY(6));
   
   Q7 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T7, Q=>Q_DUMMY(7));
   
   Q8 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T8, Q=>Q_DUMMY(8));
   
   Q9 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T9, Q=>Q_DUMMY(9));
   
   Q10 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T10, Q=>Q_DUMMY(10));
   
   Q11 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T11, Q=>Q_DUMMY(11));
   
   Q12 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T12, Q=>Q_DUMMY(12));
   
   Q13 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T13, Q=>Q_DUMMY(13));
   
   Q14 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T14, Q=>Q_DUMMY(14));
   
   Q15 : FTCE_MXILINX_automat_oswietleniowy
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T15, Q=>Q_DUMMY(15));
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Wed Mar 04 22:46:47 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_automat_oswietleniowy is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_automat_oswietleniowy;

architecture BEHAVIORAL of FD_MXILINX_automat_oswietleniowy is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from automat_oswietleniowy.sch - Wed Mar 04 22:46:47 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity automat_oswietleniowy is
   port ( CLK    : in    std_logic; 
          CLK_FR : in    std_logic; 
          SYNC   : in    std_logic; 
          S1     : in    std_logic; 
          S2     : in    std_logic; 
          LED1   : out   std_logic);
end automat_oswietleniowy;

architecture BEHAVIORAL of automat_oswietleniowy is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal Q       : std_logic_vector (15 downto 0);
   signal XLXN_1  : std_logic;
   signal XLXN_3  : std_logic;
   signal XLXN_4  : std_logic;
   signal XLXN_25 : std_logic;
   signal XLXN_26 : std_logic;
   component CB16CE_MXILINX_automat_oswietleniowy
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q   : out   std_logic_vector (15 downto 0); 
             TC  : out   std_logic);
   end component;
   
   component FD_MXILINX_automat_oswietleniowy
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component oswietlenie
      port ( S1      : in    std_logic; 
             S2      : in    std_logic; 
             SYNC    : in    std_logic; 
             czujnik : in    std_logic; 
             swiatlo : out   std_logic);
   end component;
   
   component czujnik_osw
      port ( CLK     : in    std_logic; 
             CLK_FR  : in    std_logic; 
             SYNC    : in    std_logic; 
             wyjscie : out   std_logic);
   end component;
   
   attribute HU_SET of XLXI_4 : LABEL is "XLXI_4_18";
   attribute HU_SET of XLXI_7 : LABEL is "XLXI_7_16";
   attribute HU_SET of XLXI_8 : LABEL is "XLXI_8_17";
begin
   XLXI_4 : CB16CE_MXILINX_automat_oswietleniowy
      port map (C=>SYNC, CE=>XLXN_25, CLR=>XLXN_26, CEO=>open, Q(15 downto
            0)=>Q(15 downto 0), TC=>open);
   
   XLXI_7 : FD_MXILINX_automat_oswietleniowy
      port map (C=>Q(14), D=>S2, Q=>XLXN_4);
   
   XLXI_8 : FD_MXILINX_automat_oswietleniowy
      port map (C=>Q(14), D=>S1, Q=>XLXN_3);
   
   XLXI_9 : GND
      port map (G=>XLXN_26);
   
   XLXI_10 : VCC
      port map (P=>XLXN_25);
   
   XLXI_12 : oswietlenie
      port map (czujnik=>XLXN_1, SYNC=>SYNC, S1=>XLXN_3, S2=>XLXN_4,
            swiatlo=>LED1);
   
   XLXI_13 : czujnik_osw
      port map (CLK=>CLK, CLK_FR=>CLK_FR, SYNC=>SYNC, wyjscie=>XLXN_1);
   
end BEHAVIORAL;


