library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity oswietlenie is
	port(
		S1 : in std_logic ;
		S2 : in std_logic ;
		SYNC : in std_logic ;
		czujnik : in std_logic;
		swiatlo : out std_logic);
end oswietlenie;

architecture oswietlenieBehavioral of oswietlenie is 
	type typy_osw is (MAN_OFF, MAN_ON, AUTO_ON, AUTO_OFF,
	RELEASE1, RELEASE2, RELEASE3, RELEASE4, RELEASE5, RELEASE6);
	signal stan : typy_osw ;
begin
	--automat
	process (SYNC) is begin
		if rising_edge(SYNC) then
			case stan is
				when MAN_OFF=>
					if S1='0' then
						stan<=RELEASE5 ;
					elsif S2='0' then
						stan<=RELEASE2	;
					end if  ;
				when MAN_ON=>
					if S1='0' then
						stan<=RELEASE3 ;
					elsif S2='0' then
						stan<=RELEASE1 ;
					end if ;
				when AUTO_ON=>
					if S1='0' then
						stan<=RELEASE4 ;
					elsif czujnik='0' then
						stan<=AUTO_OFF;
					end  if;
				when AUTO_OFF=>
					if S1='0' then
						stan<=RELEASE6 ;
					elsif czujnik='1' then
						stan<=AUTO_ON;
					end  if;
				when RELEASE1=>
					if S2='1'then
						stan <= MAN_OFF;
					end if ;
				when RELEASE2=>
					if S2='1'then
						stan <= MAN_ON;
					end if ;
				when RELEASE3=>
					if S1='1'then
						stan <= AUTO_ON;
					end if ;
				when RELEASE4=>
					if S1='1'then
						stan <= MAN_ON;
					end if ;
				when RELEASE5=>
					if S1='1'then
						stan <= AUTO_OFF;
					end if ;
				when RELEASE6=>
					if S1='1'then
						stan <= MAN_OFF;
					end if ;
			end case ;
		end  if ;
	end process ;
	--dekoder
	swiatlo <= '0' when (stan=MAN_ON) or (stan=AUTO_ON) else '1'  ;
end oswietlenieBehavioral;
