-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Sun Feb 22 13:49:52 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_sygnalizacja is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_sygnalizacja;

architecture BEHAVIORAL of FD_MXILINX_sygnalizacja is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\ftce.sch - Sun Feb 22 13:49:52 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCE_MXILINX_sygnalizacja is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_sygnalizacja;

architecture BEHAVIORAL of FTCE_MXILINX_sygnalizacja is
   attribute BOX_TYPE       : STRING ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : COMPONENT is "BLACK_BOX";
   
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T, I1=>Q_DUMMY, O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>TQ, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb4ce.sch - Sun Feb 22 13:49:52 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB4CE_MXILINX_sygnalizacja is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic; 
          TC  : out   std_logic);
end CB4CE_MXILINX_sygnalizacja;

architecture BEHAVIORAL of CB4CE_MXILINX_sygnalizacja is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   signal Q3_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_sygnalizacja
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : LABEL is "U0_0";
   attribute HU_SET of U1 : LABEL is "U1_1";
   attribute HU_SET of U2 : LABEL is "U2_2";
   attribute HU_SET of U3 : LABEL is "U3_3";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   Q3 <= Q3_DUMMY;
   TC <= TC_DUMMY;
   I_36_31 : AND4
      port map (I0=>Q3_DUMMY, I1=>Q2_DUMMY, I2=>Q1_DUMMY, I3=>Q0_DUMMY,
            O=>TC_DUMMY);
   
   I_36_32 : AND3
      port map (I0=>Q2_DUMMY, I1=>Q1_DUMMY, I2=>Q0_DUMMY, O=>T3);
   
   I_36_33 : AND2
      port map (I0=>Q1_DUMMY, I1=>Q0_DUMMY, O=>T2);
   
   I_36_58 : VCC
      port map (P=>XLXN_1);
   
   I_36_67 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   U0 : FTCE_MXILINX_sygnalizacja
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q0_DUMMY);
   
   U1 : FTCE_MXILINX_sygnalizacja
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q0_DUMMY, Q=>Q1_DUMMY);
   
   U2 : FTCE_MXILINX_sygnalizacja
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T2, Q=>Q2_DUMMY);
   
   U3 : FTCE_MXILINX_sygnalizacja
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T3, Q=>Q3_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from sygnalizacja.sch - Sun Feb 22 13:49:52 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity sygnalizacja is
   port ( CLK   : in    std_logic; 
          SYNC  : in    std_logic; 
          S1    : in    std_logic; 
          S2    : in    std_logic; 
          LED_G : out   std_logic; 
          LED_R : out   std_logic; 
          LED_Y : out   std_logic);
end sygnalizacja;

architecture BEHAVIORAL of sygnalizacja is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal XLXN_11 : std_logic;
   signal XLXN_20 : std_logic;
   signal XLXN_21 : std_logic;
   signal XLXN_26 : std_logic;
   signal XLXN_27 : std_logic;
   signal XLXN_29 : std_logic;
   component sygnalizacja_pelna
      port ( S1       : in    std_logic; 
             S2       : in    std_logic; 
             CLK_ZM   : in    std_logic; 
             CLK_PULS : in    std_logic; 
             SYNC     : in    std_logic; 
             LED_R    : out   std_logic; 
             LED_Y    : out   std_logic; 
             LED_G    : out   std_logic);
   end component;
   
   component FD_MXILINX_sygnalizacja
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component CB4CE_MXILINX_sygnalizacja
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_2 : LABEL is "XLXI_2_4";
   attribute HU_SET of XLXI_4 : LABEL is "XLXI_4_5";
   attribute HU_SET of XLXI_5 : LABEL is "XLXI_5_6";
begin
   XLXI_1 : sygnalizacja_pelna
      port map (CLK_PULS=>XLXN_21, CLK_ZM=>XLXN_11, SYNC=>SYNC, S1=>S1, S2=>S2,
            LED_G=>LED_G, LED_R=>LED_R, LED_Y=>LED_Y);
   
   XLXI_2 : FD_MXILINX_sygnalizacja
      port map (C=>XLXN_27, D=>XLXN_21, Q=>XLXN_20);
   
   XLXI_4 : CB4CE_MXILINX_sygnalizacja
      port map (C=>XLXN_27, CE=>XLXN_29, CLR=>XLXN_26, CEO=>open, Q0=>open,
            Q1=>open, Q2=>open, Q3=>XLXN_11, TC=>open);
   
   XLXI_5 : FD_MXILINX_sygnalizacja
      port map (C=>SYNC, D=>CLK, Q=>XLXN_27);
   
   XLXI_6 : INV
      port map (I=>XLXN_20, O=>XLXN_21);
   
   XLXI_7 : GND
      port map (G=>XLXN_26);
   
   XLXI_8 : VCC
      port map (P=>XLXN_29);
   
end BEHAVIORAL;


