library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity sygnalizacja_pelna is
  Port ( S1 : in std_logic;
     S2 : in std_logic;
     CLK_ZM : in std_logic;
     CLK_PULS : in std_logic;
	SYNC : in std_logic ;
	LED_R : out std_logic ;
	LED_Y : out std_logic ;
	LED_G : out std_logic );
end sygnalizacja_pelna;

architecture Behavioral of sygnalizacja_pelna is
	type moje_stany is (R, Y, G, YR, Y_ON, Y_OFF);
	signal stan : moje_stany ;
begin
	sygnalizacja: process (SYNC) is begin
		if rising_edge(SYNC) then
			case stan is
				when R =>
					if S1 = '0' then
						stan <= Y_ON  ;
					elsif CLK_ZM = '0' then
						stan <= YR ;
					end if;
				when YR =>
					if S1 = '0' then
						stan <= Y_ON  ;
					elsif CLK_ZM = '1' then
						stan <= G ;
					end if;
				when G =>
					if S1 = '0' then
						stan <= Y_OFF  ;
					elsif CLK_ZM = '0' then
						stan <= Y ;
					end if;
				when Y =>
					if S1 = '0' then
						stan <= Y_ON  ;
					elsif CLK_ZM = '1' then
						stan <= R ;
					end if;
				when Y_ON =>
					if S2 = '0'then
						stan <= Y  ;
					elsif CLK_PULS = '1' then
						stan <= Y_OFF ;
					end if;
				when Y_OFF =>
					if S2 = '0'then
						stan <= Y  ;
					elsif CLK_PULS = '0' then
						stan <= Y_ON ;
					end if;
				end case ;
		end if ;
	end process sygnalizacja ;

	--obsluga diod wyjsciowych
	LED_Y <= '0' when (stan=Y) or (stan=YR) or (stan=Y_ON) else '1' ;
	LED_R <= '0' when (stan=R) or (stan=YR) else '1' ;
	LED_G <= '0' when (stan=G) else '1' ;

end Behavioral;
