-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Wed Oct 22 16:35:40 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_kostka_anim is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_kostka_anim;

architecture BEHAVIORAL of FD_MXILINX_kostka_anim is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\ftce.sch - Wed Oct 22 16:35:40 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCE_MXILINX_kostka_anim is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_kostka_anim;

architecture BEHAVIORAL of FTCE_MXILINX_kostka_anim is
   attribute BOX_TYPE       : STRING ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : COMPONENT is "BLACK_BOX";
   
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T, I1=>Q_DUMMY, O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>TQ, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb4ce.sch - Wed Oct 22 16:35:40 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB4CE_MXILINX_kostka_anim is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic; 
          TC  : out   std_logic);
end CB4CE_MXILINX_kostka_anim;

architecture BEHAVIORAL of CB4CE_MXILINX_kostka_anim is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   signal Q3_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_kostka_anim
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : LABEL is "U0_0";
   attribute HU_SET of U1 : LABEL is "U1_1";
   attribute HU_SET of U2 : LABEL is "U2_2";
   attribute HU_SET of U3 : LABEL is "U3_3";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   Q3 <= Q3_DUMMY;
   TC <= TC_DUMMY;
   I_36_31 : AND4
      port map (I0=>Q3_DUMMY, I1=>Q2_DUMMY, I2=>Q1_DUMMY, I3=>Q0_DUMMY,
            O=>TC_DUMMY);
   
   I_36_32 : AND3
      port map (I0=>Q2_DUMMY, I1=>Q1_DUMMY, I2=>Q0_DUMMY, O=>T3);
   
   I_36_33 : AND2
      port map (I0=>Q1_DUMMY, I1=>Q0_DUMMY, O=>T2);
   
   I_36_58 : VCC
      port map (P=>XLXN_1);
   
   I_36_67 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   U0 : FTCE_MXILINX_kostka_anim
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q0_DUMMY);
   
   U1 : FTCE_MXILINX_kostka_anim
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q0_DUMMY, Q=>Q1_DUMMY);
   
   U2 : FTCE_MXILINX_kostka_anim
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T2, Q=>Q2_DUMMY);
   
   U3 : FTCE_MXILINX_kostka_anim
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T3, Q=>Q3_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\d3_8e.sch - Wed Oct 22 16:35:40 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity D3_8E_MXILINX_kostka_anim is
   port ( A0 : in    std_logic; 
          A1 : in    std_logic; 
          A2 : in    std_logic; 
          E  : in    std_logic; 
          D0 : out   std_logic; 
          D1 : out   std_logic; 
          D2 : out   std_logic; 
          D3 : out   std_logic; 
          D4 : out   std_logic; 
          D5 : out   std_logic; 
          D6 : out   std_logic; 
          D7 : out   std_logic);
end D3_8E_MXILINX_kostka_anim;

architecture BEHAVIORAL of D3_8E_MXILINX_kostka_anim is
   attribute BOX_TYPE   : STRING ;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND4B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B1 : COMPONENT is "BLACK_BOX";
   
   component AND4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B2 : COMPONENT is "BLACK_BOX";
   
   component AND4B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B3 : COMPONENT is "BLACK_BOX";
   
begin
   I_36_30 : AND4
      port map (I0=>A2, I1=>A1, I2=>A0, I3=>E, O=>D7);
   
   I_36_31 : AND4B1
      port map (I0=>A0, I1=>A2, I2=>A1, I3=>E, O=>D6);
   
   I_36_32 : AND4B1
      port map (I0=>A1, I1=>A2, I2=>A0, I3=>E, O=>D5);
   
   I_36_33 : AND4B2
      port map (I0=>A1, I1=>A0, I2=>A2, I3=>E, O=>D4);
   
   I_36_34 : AND4B1
      port map (I0=>A2, I1=>A0, I2=>A1, I3=>E, O=>D3);
   
   I_36_35 : AND4B2
      port map (I0=>A2, I1=>A0, I2=>A1, I3=>E, O=>D2);
   
   I_36_36 : AND4B2
      port map (I0=>A2, I1=>A1, I2=>A0, I3=>E, O=>D1);
   
   I_36_37 : AND4B3
      port map (I0=>A2, I1=>A1, I2=>A0, I3=>E, O=>D0);
   
end BEHAVIORAL;


-- VHDL model created from kostka_anim.sch - Wed Oct 22 16:35:40 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity kostka_anim is
   port ( CLK  : in    std_logic; 
          SYNC : in    std_logic; 
          S1   : in    std_logic; 
          S2   : in    std_logic; 
          S3   : in    std_logic; 
          segA : out   std_logic; 
          segB : out   std_logic; 
          segC : out   std_logic; 
          segD : out   std_logic; 
          segE : out   std_logic; 
          segF : out   std_logic; 
          segG : out   std_logic; 
          T1   : out   std_logic);
end kostka_anim;

architecture BEHAVIORAL of kostka_anim is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal a        : std_logic;
   signal b        : std_logic;
   signal c        : std_logic;
   signal d        : std_logic;
   signal e        : std_logic;
   signal f        : std_logic;
   signal g        : std_logic;
   signal XLXN_1   : std_logic;
   signal XLXN_5   : std_logic;
   signal XLXN_6   : std_logic;
   signal XLXN_7   : std_logic;
   signal XLXN_8   : std_logic;
   signal XLXN_9   : std_logic;
   signal XLXN_10  : std_logic;
   signal XLXN_11  : std_logic;
   signal XLXN_12  : std_logic;
   signal XLXN_13  : std_logic;
   signal XLXN_14  : std_logic;
   signal XLXN_15  : std_logic;
   signal XLXN_16  : std_logic;
   signal XLXN_17  : std_logic;
   signal XLXN_18  : std_logic;
   signal XLXN_79  : std_logic;
   signal XLXN_145 : std_logic;
   signal XLXN_146 : std_logic;
   signal XLXN_147 : std_logic;
   signal XLXN_151 : std_logic;
   signal XLXN_156 : std_logic;
   signal XLXN_188 : std_logic;
   signal XLXN_189 : std_logic;
   signal XLXN_190 : std_logic;
   signal XLXN_191 : std_logic;
   signal XLXN_192 : std_logic;
   signal XLXN_193 : std_logic;
   signal XLXN_194 : std_logic;
   signal XLXN_195 : std_logic;
   signal XLXN_197 : std_logic;
   signal XLXN_198 : std_logic;
   signal XLXN_199 : std_logic;
   signal XLXN_200 : std_logic;
   signal XLXN_205 : std_logic;
   signal XLXN_206 : std_logic;
   signal XLXN_207 : std_logic;
   signal XLXN_208 : std_logic;
   component CB4CE_MXILINX_kostka_anim
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component dek7seg_symbol
      port ( x2 : in    std_logic; 
             x3 : in    std_logic; 
             x0 : in    std_logic; 
             x1 : in    std_logic; 
             b  : out   std_logic; 
             c  : out   std_logic; 
             d  : out   std_logic; 
             e  : out   std_logic; 
             f  : out   std_logic; 
             g  : out   std_logic; 
             a  : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component D3_8E_MXILINX_kostka_anim
      port ( A0 : in    std_logic; 
             A1 : in    std_logic; 
             A2 : in    std_logic; 
             E  : in    std_logic; 
             D0 : out   std_logic; 
             D1 : out   std_logic; 
             D2 : out   std_logic; 
             D3 : out   std_logic; 
             D4 : out   std_logic; 
             D5 : out   std_logic; 
             D6 : out   std_logic; 
             D7 : out   std_logic);
   end component;
   
   component FD_MXILINX_kostka_anim
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component przelacznik7bit
      port ( a4  : in    std_logic; 
             b4  : in    std_logic; 
             a3  : in    std_logic; 
             b3  : in    std_logic; 
             a5  : in    std_logic; 
             b5  : in    std_logic; 
             a6  : in    std_logic; 
             b6  : in    std_logic; 
             a7  : in    std_logic; 
             b7  : in    std_logic; 
             a2  : in    std_logic; 
             b2  : in    std_logic; 
             SEL : in    std_logic; 
             a1  : in    std_logic; 
             b1  : in    std_logic; 
             y4  : out   std_logic; 
             y3  : out   std_logic; 
             y5  : out   std_logic; 
             y6  : out   std_logic; 
             y7  : out   std_logic; 
             y2  : out   std_logic; 
             y1  : out   std_logic);
   end component;
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_4";
   attribute HU_SET of XLXI_39 : LABEL is "XLXI_39_5";
   attribute HU_SET of XLXI_42 : LABEL is "XLXI_42_6";
   attribute HU_SET of XLXI_44 : LABEL is "XLXI_44_7";
begin
   XLXI_1 : CB4CE_MXILINX_kostka_anim
      port map (C=>XLXN_18, CE=>XLXN_1, CLR=>XLXN_17, CEO=>open, Q0=>XLXN_16,
            Q1=>XLXN_15, Q2=>XLXN_14, Q3=>XLXN_13, TC=>open);
   
   XLXI_2 : VCC
      port map (P=>XLXN_1);
   
   XLXI_3 : INV
      port map (I=>S1, O=>XLXN_6);
   
   XLXI_4 : INV
      port map (I=>S2, O=>XLXN_5);
   
   XLXI_5 : INV
      port map (I=>S3, O=>XLXN_7);
   
   XLXI_6 : OR3
      port map (I0=>XLXN_6, I1=>XLXN_5, I2=>XLXN_7, O=>XLXN_156);
   
   XLXI_7 : AND2
      port map (I0=>XLXN_13, I1=>XLXN_15, O=>XLXN_8);
   
   XLXI_8 : AND2
      port map (I0=>XLXN_8, I1=>XLXN_7, O=>XLXN_10);
   
   XLXI_9 : AND2
      port map (I0=>XLXN_14, I1=>XLXN_15, O=>XLXN_9);
   
   XLXI_10 : AND2
      port map (I0=>XLXN_9, I1=>XLXN_5, O=>XLXN_11);
   
   XLXI_11 : OR3
      port map (I0=>XLXN_10, I1=>XLXN_11, I2=>XLXN_12, O=>XLXN_17);
   
   XLXI_12 : AND2
      port map (I0=>XLXN_14, I1=>XLXN_6, O=>XLXN_12);
   
   XLXI_14 : AND2
      port map (I0=>XLXN_156, I1=>SYNC, O=>XLXN_18);
   
   XLXI_16 : dek7seg_symbol
      port map (x0=>XLXN_16, x1=>XLXN_15, x2=>XLXN_14, x3=>XLXN_13, a=>a, b=>b,
            c=>c, d=>d, e=>e, f=>f, g=>g);
   
   XLXI_17 : GND
      port map (G=>T1);
   
   XLXI_39 : D3_8E_MXILINX_kostka_anim
      port map (A0=>XLXN_145, A1=>XLXN_146, A2=>XLXN_147, E=>XLXN_79,
            D0=>XLXN_189, D1=>XLXN_190, D2=>XLXN_191, D3=>XLXN_192,
            D4=>XLXN_193, D5=>XLXN_194, D6=>XLXN_195, D7=>open);
   
   XLXI_40 : VCC
      port map (P=>XLXN_79);
   
   XLXI_42 : CB4CE_MXILINX_kostka_anim
      port map (C=>XLXN_151, CE=>XLXN_188, CLR=>XLXN_205, CEO=>open,
            Q0=>XLXN_145, Q1=>XLXN_146, Q2=>XLXN_147, Q3=>open, TC=>open);
   
   XLXI_43 : VCC
      port map (P=>XLXN_188);
   
   XLXI_44 : FD_MXILINX_kostka_anim
      port map (C=>SYNC, D=>CLK, Q=>XLXN_151);
   
   XLXI_45 : INV
      port map (I=>XLXN_189, O=>XLXN_197);
   
   XLXI_46 : INV
      port map (I=>XLXN_190, O=>XLXN_198);
   
   XLXI_47 : INV
      port map (I=>XLXN_191, O=>XLXN_199);
   
   XLXI_48 : INV
      port map (I=>XLXN_192, O=>XLXN_200);
   
   XLXI_49 : INV
      port map (I=>XLXN_193, O=>XLXN_206);
   
   XLXI_50 : INV
      port map (I=>XLXN_194, O=>XLXN_207);
   
   XLXI_51 : INV
      port map (I=>XLXN_195, O=>XLXN_208);
   
   XLXI_53 : AND2
      port map (I0=>XLXN_147, I1=>XLXN_146, O=>XLXN_205);
   
   XLXI_54 : przelacznik7bit
      port map (a1=>a, a2=>b, a3=>c, a4=>d, a5=>e, a6=>f, a7=>g, b1=>XLXN_197,
            b2=>XLXN_198, b3=>XLXN_199, b4=>XLXN_200, b5=>XLXN_206,
            b6=>XLXN_207, b7=>XLXN_208, SEL=>XLXN_156, y1=>segA, y2=>segB,
            y3=>segC, y4=>segD, y5=>segE, y6=>segF, y7=>segG);
   
end BEHAVIORAL;


