-- VHDL model created from C:\Xilinx\cpld\data\drawing\ftce.sch - Tue Oct 28 13:32:45 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCE_MXILINX_licznik_piersc_symbol is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_licznik_piersc_symbol;

architecture BEHAVIORAL of FTCE_MXILINX_licznik_piersc_symbol is
   attribute BOX_TYPE       : STRING ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : COMPONENT is "BLACK_BOX";
   
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T, I1=>Q_DUMMY, O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>TQ, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb2ce.sch - Tue Oct 28 13:32:45 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB2CE_MXILINX_licznik_piersc_symbol is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          TC  : out   std_logic);
end CB2CE_MXILINX_licznik_piersc_symbol;

architecture BEHAVIORAL of CB2CE_MXILINX_licznik_piersc_symbol is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_licznik_piersc_symbol
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : LABEL is "U0_0";
   attribute HU_SET of U1 : LABEL is "U1_1";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   TC <= TC_DUMMY;
   I_36_37 : AND2
      port map (I0=>Q1_DUMMY, I1=>Q0_DUMMY, O=>TC_DUMMY);
   
   I_36_47 : VCC
      port map (P=>XLXN_1);
   
   I_36_52 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   U0 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q0_DUMMY);
   
   U1 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q0_DUMMY, Q=>Q1_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\m2_1.sch - Tue Oct 28 13:32:45 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity M2_1_MXILINX_licznik_piersc_symbol is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1_MXILINX_licznik_piersc_symbol;

architecture BEHAVIORAL of M2_1_MXILINX_licznik_piersc_symbol is
   attribute BOX_TYPE   : STRING ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
begin
   I_36_7 : AND2B1
      port map (I0=>S0, I1=>D0, O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1, I1=>M0, O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1, I1=>S0, O=>M1);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Tue Oct 28 13:32:45 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_licznik_piersc_symbol is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_licznik_piersc_symbol;

architecture BEHAVIORAL of FD_MXILINX_licznik_piersc_symbol is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fdrs.sch - Tue Oct 28 13:32:45 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FDRS_MXILINX_licznik_piersc_symbol is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          R : in    std_logic; 
          S : in    std_logic; 
          Q : out   std_logic);
end FDRS_MXILINX_licznik_piersc_symbol;

architecture BEHAVIORAL of FDRS_MXILINX_licznik_piersc_symbol is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal XLXN_6 : std_logic;
   signal XLXN_7 : std_logic;
   signal XLXN_8 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_licznik_piersc_symbol
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : LABEL is "U0_2";
begin
   I_36_112 : AND2B1
      port map (I0=>R, I1=>S, O=>XLXN_6);
   
   I_36_113 : AND2B1
      port map (I0=>R, I1=>D, O=>XLXN_8);
   
   I_36_120 : OR2
      port map (I0=>XLXN_6, I1=>XLXN_8, O=>XLXN_7);
   
   U0 : FD_MXILINX_licznik_piersc_symbol
      port map (C=>C, D=>XLXN_7, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb16ce.sch - Tue Oct 28 13:32:45 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB16CE_MXILINX_licznik_piersc_symbol is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q   : out   std_logic_vector (15 downto 0); 
          TC  : out   std_logic);
end CB16CE_MXILINX_licznik_piersc_symbol;

architecture BEHAVIORAL of CB16CE_MXILINX_licznik_piersc_symbol is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal T4       : std_logic;
   signal T5       : std_logic;
   signal T6       : std_logic;
   signal T7       : std_logic;
   signal T8       : std_logic;
   signal T9       : std_logic;
   signal T10      : std_logic;
   signal T11      : std_logic;
   signal T12      : std_logic;
   signal T13      : std_logic;
   signal T14      : std_logic;
   signal T15      : std_logic;
   signal XLXN_1   : std_logic;
   signal Q_DUMMY  : std_logic_vector (15 downto 0);
   signal TC_DUMMY : std_logic;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_licznik_piersc_symbol
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of Q0 : LABEL is "Q0_4";
   attribute HU_SET of Q1 : LABEL is "Q1_3";
   attribute HU_SET of Q2 : LABEL is "Q2_6";
   attribute HU_SET of Q3 : LABEL is "Q3_5";
   attribute HU_SET of Q4 : LABEL is "Q4_10";
   attribute HU_SET of Q5 : LABEL is "Q5_9";
   attribute HU_SET of Q6 : LABEL is "Q6_8";
   attribute HU_SET of Q7 : LABEL is "Q7_7";
   attribute HU_SET of Q8 : LABEL is "Q8_11";
   attribute HU_SET of Q9 : LABEL is "Q9_12";
   attribute HU_SET of Q10 : LABEL is "Q10_13";
   attribute HU_SET of Q11 : LABEL is "Q11_14";
   attribute HU_SET of Q12 : LABEL is "Q12_15";
   attribute HU_SET of Q13 : LABEL is "Q13_16";
   attribute HU_SET of Q14 : LABEL is "Q14_17";
   attribute HU_SET of Q15 : LABEL is "Q15_18";
begin
   Q(15 downto 0) <= Q_DUMMY(15 downto 0);
   TC <= TC_DUMMY;
   I_36_3 : AND3
      port map (I0=>Q_DUMMY(2), I1=>Q_DUMMY(1), I2=>Q_DUMMY(0), O=>T3);
   
   I_36_4 : AND2
      port map (I0=>Q_DUMMY(1), I1=>Q_DUMMY(0), O=>T2);
   
   I_36_9 : VCC
      port map (P=>XLXN_1);
   
   I_36_10 : AND4
      port map (I0=>Q_DUMMY(3), I1=>Q_DUMMY(2), I2=>Q_DUMMY(1), I3=>Q_DUMMY(0),
            O=>T4);
   
   I_36_14 : AND5
      port map (I0=>Q_DUMMY(7), I1=>Q_DUMMY(6), I2=>Q_DUMMY(5), I3=>Q_DUMMY(4),
            I4=>T4, O=>T8);
   
   I_36_15 : AND2
      port map (I0=>Q_DUMMY(4), I1=>T4, O=>T5);
   
   I_36_19 : AND3
      port map (I0=>Q_DUMMY(5), I1=>Q_DUMMY(4), I2=>T4, O=>T6);
   
   I_36_21 : AND4
      port map (I0=>Q_DUMMY(6), I1=>Q_DUMMY(5), I2=>Q_DUMMY(4), I3=>T4, O=>T7);
   
   I_36_22 : AND5
      port map (I0=>Q_DUMMY(15), I1=>Q_DUMMY(14), I2=>Q_DUMMY(13),
            I3=>Q_DUMMY(12), I4=>T12, O=>TC_DUMMY);
   
   I_36_23 : AND2
      port map (I0=>Q_DUMMY(12), I1=>T12, O=>T13);
   
   I_36_24 : AND3
      port map (I0=>Q_DUMMY(13), I1=>Q_DUMMY(12), I2=>T12, O=>T14);
   
   I_36_25 : AND4
      port map (I0=>Q_DUMMY(14), I1=>Q_DUMMY(13), I2=>Q_DUMMY(12), I3=>T12,
            O=>T15);
   
   I_36_26 : AND4
      port map (I0=>Q_DUMMY(10), I1=>Q_DUMMY(9), I2=>Q_DUMMY(8), I3=>T8,
            O=>T11);
   
   I_36_27 : AND3
      port map (I0=>Q_DUMMY(9), I1=>Q_DUMMY(8), I2=>T8, O=>T10);
   
   I_36_28 : AND2
      port map (I0=>Q_DUMMY(8), I1=>T8, O=>T9);
   
   I_36_29 : AND5
      port map (I0=>Q_DUMMY(11), I1=>Q_DUMMY(10), I2=>Q_DUMMY(9),
            I3=>Q_DUMMY(8), I4=>T8, O=>T12);
   
   I_36_54 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   Q0 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q_DUMMY(0));
   
   Q1 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q_DUMMY(0), Q=>Q_DUMMY(1));
   
   Q2 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T2, Q=>Q_DUMMY(2));
   
   Q3 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T3, Q=>Q_DUMMY(3));
   
   Q4 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T4, Q=>Q_DUMMY(4));
   
   Q5 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T5, Q=>Q_DUMMY(5));
   
   Q6 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T6, Q=>Q_DUMMY(6));
   
   Q7 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T7, Q=>Q_DUMMY(7));
   
   Q8 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T8, Q=>Q_DUMMY(8));
   
   Q9 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T9, Q=>Q_DUMMY(9));
   
   Q10 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T10, Q=>Q_DUMMY(10));
   
   Q11 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T11, Q=>Q_DUMMY(11));
   
   Q12 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T12, Q=>Q_DUMMY(12));
   
   Q13 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T13, Q=>Q_DUMMY(13));
   
   Q14 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T14, Q=>Q_DUMMY(14));
   
   Q15 : FTCE_MXILINX_licznik_piersc_symbol
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T15, Q=>Q_DUMMY(15));
   
end BEHAVIORAL;


-- VHDL model created from d:\projekty\avt\kurs_cpld\odcinki\czesc_04\impl\licznik_pierscieniowy\licznik_piersc_symbol.sch - Tue Oct 28 13:32:45 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity licznik_piersc_symbol is
   port ( CLK   : in    std_logic; 
          INPUT : in    std_logic; 
          x0    : out   std_logic; 
          x1    : out   std_logic; 
          x2    : out   std_logic; 
          x3    : out   std_logic; 
          x4    : out   std_logic);
end licznik_piersc_symbol;

architecture BEHAVIORAL of licznik_piersc_symbol is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal Q        : std_logic_vector (15 downto 0);
   signal rr       : std_logic;
   signal XLXN_89  : std_logic;
   signal XLXN_95  : std_logic;
   signal XLXN_101 : std_logic;
   signal XLXN_103 : std_logic;
   signal XLXN_104 : std_logic;
   signal XLXN_105 : std_logic;
   signal XLXN_114 : std_logic;
   signal XLXN_115 : std_logic;
   signal XLXN_118 : std_logic;
   signal XLXN_119 : std_logic;
   signal XLXN_120 : std_logic;
   signal XLXN_121 : std_logic;
   signal XLXN_122 : std_logic;
   signal XLXN_123 : std_logic;
   signal XLXN_126 : std_logic;
   signal XLXN_131 : std_logic;
   signal XLXN_132 : std_logic;
   signal XLXN_133 : std_logic;
   signal XLXN_138 : std_logic;
   signal XLXN_149 : std_logic;
   signal yy       : std_logic;
   signal x2_DUMMY : std_logic;
   signal x3_DUMMY : std_logic;
   signal x4_DUMMY : std_logic;
   signal x0_DUMMY : std_logic;
   signal x1_DUMMY : std_logic;
   component FDRS_MXILINX_licznik_piersc_symbol
      port ( C : in    std_logic; 
             D : in    std_logic; 
             R : in    std_logic; 
             S : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component CB16CE_MXILINX_licznik_piersc_symbol
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q   : out   std_logic_vector (15 downto 0); 
             TC  : out   std_logic);
   end component;
   
   component CB2CE_MXILINX_licznik_piersc_symbol
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_licznik_piersc_symbol
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component AND4B4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B4 : COMPONENT is "BLACK_BOX";
   
   component M2_1_MXILINX_licznik_piersc_symbol
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component zliczanie1iter
      port ( i0 : in    std_logic; 
             i1 : in    std_logic; 
             x  : in    std_logic; 
             o0 : out   std_logic; 
             o1 : out   std_logic);
   end component;
   
   component NAND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NAND2B1 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_19";
   attribute HU_SET of XLXI_2 : LABEL is "XLXI_2_20";
   attribute HU_SET of XLXI_3 : LABEL is "XLXI_3_21";
   attribute HU_SET of XLXI_6 : LABEL is "XLXI_6_22";
   attribute HU_SET of XLXI_10 : LABEL is "XLXI_10_24";
   attribute HU_SET of XLXI_38 : LABEL is "XLXI_38_23";
   attribute HU_SET of XLXI_39 : LABEL is "XLXI_39_27";
   attribute HU_SET of XLXI_46 : LABEL is "XLXI_46_25";
   attribute HU_SET of XLXI_59 : LABEL is "XLXI_59_26";
begin
   x0 <= x0_DUMMY;
   x1 <= x1_DUMMY;
   x2 <= x2_DUMMY;
   x3 <= x3_DUMMY;
   x4 <= x4_DUMMY;
   XLXI_1 : FDRS_MXILINX_licznik_piersc_symbol
      port map (C=>XLXN_103, D=>x3_DUMMY, R=>yy, S=>rr, Q=>x4_DUMMY);
   
   XLXI_2 : FDRS_MXILINX_licznik_piersc_symbol
      port map (C=>XLXN_103, D=>x2_DUMMY, R=>yy, S=>rr, Q=>x3_DUMMY);
   
   XLXI_3 : FDRS_MXILINX_licznik_piersc_symbol
      port map (C=>XLXN_103, D=>x1_DUMMY, R=>yy, S=>rr, Q=>x2_DUMMY);
   
   XLXI_6 : FDRS_MXILINX_licznik_piersc_symbol
      port map (C=>XLXN_103, D=>x0_DUMMY, R=>yy, S=>rr, Q=>x1_DUMMY);
   
   XLXI_10 : FDRS_MXILINX_licznik_piersc_symbol
      port map (C=>XLXN_103, D=>XLXN_89, R=>yy, S=>rr, Q=>x0_DUMMY);
   
   XLXI_38 : CB16CE_MXILINX_licznik_piersc_symbol
      port map (C=>CLK, CE=>XLXN_104, CLR=>XLXN_105, CEO=>open, Q(15 downto
            0)=>Q(15 downto 0), TC=>open);
   
   XLXI_39 : CB2CE_MXILINX_licznik_piersc_symbol
      port map (C=>Q(15), CE=>XLXN_95, CLR=>XLXN_138, CEO=>open, Q0=>open,
            Q1=>XLXN_101, TC=>open);
   
   XLXI_40 : VCC
      port map (P=>XLXN_95);
   
   XLXI_46 : FD_MXILINX_licznik_piersc_symbol
      port map (C=>XLXN_101, D=>INPUT, Q=>XLXN_126);
   
   XLXI_47 : GND
      port map (G=>XLXN_105);
   
   XLXI_48 : VCC
      port map (P=>XLXN_104);
   
   XLXI_51 : AND4B4
      port map (I0=>x3_DUMMY, I1=>x2_DUMMY, I2=>x1_DUMMY, I3=>x0_DUMMY,
            O=>XLXN_89);
   
   XLXI_57 : GND
      port map (G=>XLXN_149);
   
   XLXI_59 : M2_1_MXILINX_licznik_piersc_symbol
      port map (D0=>XLXN_126, D1=>CLK, S0=>XLXN_133, O=>XLXN_103);
   
   XLXI_62 : zliczanie1iter
      port map (i0=>XLXN_149, i1=>XLXN_149, x=>x0_DUMMY, o0=>XLXN_114,
            o1=>XLXN_115);
   
   XLXI_63 : zliczanie1iter
      port map (i0=>XLXN_114, i1=>XLXN_115, x=>x1_DUMMY, o0=>XLXN_118,
            o1=>XLXN_119);
   
   XLXI_64 : zliczanie1iter
      port map (i0=>XLXN_118, i1=>XLXN_119, x=>x2_DUMMY, o0=>XLXN_120,
            o1=>XLXN_121);
   
   XLXI_65 : zliczanie1iter
      port map (i0=>XLXN_120, i1=>XLXN_121, x=>x3_DUMMY, o0=>XLXN_122,
            o1=>XLXN_123);
   
   XLXI_66 : zliczanie1iter
      port map (i0=>XLXN_122, i1=>XLXN_123, x=>x4_DUMMY, o0=>XLXN_132,
            o1=>XLXN_131);
   
   XLXI_67 : GND
      port map (G=>XLXN_138);
   
   XLXI_69 : NAND2B1
      port map (I0=>XLXN_131, I1=>XLXN_132, O=>XLXN_133);
   
   XLXI_70 : GND
      port map (G=>rr);
   
   XLXI_71 : GND
      port map (G=>yy);
   
end BEHAVIORAL;


