-- VHDL model created from C:\Xilinx\cpld\data\drawing\ftce.sch - Tue Oct 28 13:32:44 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCE_MXILINX_minutnik is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_minutnik;

architecture BEHAVIORAL of FTCE_MXILINX_minutnik is
   attribute BOX_TYPE       : STRING ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : COMPONENT is "BLACK_BOX";
   
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T, I1=>Q_DUMMY, O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>TQ, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb8ce.sch - Tue Oct 28 13:32:44 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB8CE_MXILINX_minutnik is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q   : out   std_logic_vector (7 downto 0); 
          TC  : out   std_logic);
end CB8CE_MXILINX_minutnik;

architecture BEHAVIORAL of CB8CE_MXILINX_minutnik is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal T4       : std_logic;
   signal T5       : std_logic;
   signal T6       : std_logic;
   signal T7       : std_logic;
   signal XLXN_1   : std_logic;
   signal Q_DUMMY  : std_logic_vector (7 downto 0);
   signal TC_DUMMY : std_logic;
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_minutnik
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of Q0 : LABEL is "Q0_6";
   attribute HU_SET of Q1 : LABEL is "Q1_7";
   attribute HU_SET of Q2 : LABEL is "Q2_3";
   attribute HU_SET of Q3 : LABEL is "Q3_4";
   attribute HU_SET of Q4 : LABEL is "Q4_5";
   attribute HU_SET of Q5 : LABEL is "Q5_2";
   attribute HU_SET of Q6 : LABEL is "Q6_1";
   attribute HU_SET of Q7 : LABEL is "Q7_0";
begin
   Q(7 downto 0) <= Q_DUMMY(7 downto 0);
   TC <= TC_DUMMY;
   I_36_1 : AND5
      port map (I0=>Q_DUMMY(7), I1=>Q_DUMMY(6), I2=>Q_DUMMY(5), I3=>Q_DUMMY(4),
            I4=>T4, O=>TC_DUMMY);
   
   I_36_2 : AND2
      port map (I0=>Q_DUMMY(4), I1=>T4, O=>T5);
   
   I_36_11 : AND3
      port map (I0=>Q_DUMMY(5), I1=>Q_DUMMY(4), I2=>T4, O=>T6);
   
   I_36_15 : AND4
      port map (I0=>Q_DUMMY(3), I1=>Q_DUMMY(2), I2=>Q_DUMMY(1), I3=>Q_DUMMY(0),
            O=>T4);
   
   I_36_16 : VCC
      port map (P=>XLXN_1);
   
   I_36_24 : AND2
      port map (I0=>Q_DUMMY(1), I1=>Q_DUMMY(0), O=>T2);
   
   I_36_26 : AND3
      port map (I0=>Q_DUMMY(2), I1=>Q_DUMMY(1), I2=>Q_DUMMY(0), O=>T3);
   
   I_36_28 : AND4
      port map (I0=>Q_DUMMY(6), I1=>Q_DUMMY(5), I2=>Q_DUMMY(4), I3=>T4, O=>T7);
   
   I_36_31 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   Q0 : FTCE_MXILINX_minutnik
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q_DUMMY(0));
   
   Q1 : FTCE_MXILINX_minutnik
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q_DUMMY(0), Q=>Q_DUMMY(1));
   
   Q2 : FTCE_MXILINX_minutnik
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T2, Q=>Q_DUMMY(2));
   
   Q3 : FTCE_MXILINX_minutnik
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T3, Q=>Q_DUMMY(3));
   
   Q4 : FTCE_MXILINX_minutnik
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T4, Q=>Q_DUMMY(4));
   
   Q5 : FTCE_MXILINX_minutnik
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T5, Q=>Q_DUMMY(5));
   
   Q6 : FTCE_MXILINX_minutnik
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T6, Q=>Q_DUMMY(6));
   
   Q7 : FTCE_MXILINX_minutnik
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T7, Q=>Q_DUMMY(7));
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb4ce.sch - Tue Oct 28 13:32:44 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB4CE_MXILINX_minutnik is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic; 
          TC  : out   std_logic);
end CB4CE_MXILINX_minutnik;

architecture BEHAVIORAL of CB4CE_MXILINX_minutnik is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   signal Q3_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_minutnik
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : LABEL is "U0_8";
   attribute HU_SET of U1 : LABEL is "U1_9";
   attribute HU_SET of U2 : LABEL is "U2_10";
   attribute HU_SET of U3 : LABEL is "U3_11";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   Q3 <= Q3_DUMMY;
   TC <= TC_DUMMY;
   I_36_31 : AND4
      port map (I0=>Q3_DUMMY, I1=>Q2_DUMMY, I2=>Q1_DUMMY, I3=>Q0_DUMMY,
            O=>TC_DUMMY);
   
   I_36_32 : AND3
      port map (I0=>Q2_DUMMY, I1=>Q1_DUMMY, I2=>Q0_DUMMY, O=>T3);
   
   I_36_33 : AND2
      port map (I0=>Q1_DUMMY, I1=>Q0_DUMMY, O=>T2);
   
   I_36_58 : VCC
      port map (P=>XLXN_1);
   
   I_36_67 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   U0 : FTCE_MXILINX_minutnik
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q0_DUMMY);
   
   U1 : FTCE_MXILINX_minutnik
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q0_DUMMY, Q=>Q1_DUMMY);
   
   U2 : FTCE_MXILINX_minutnik
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T2, Q=>Q2_DUMMY);
   
   U3 : FTCE_MXILINX_minutnik
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T3, Q=>Q3_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\d3_8e.sch - Tue Oct 28 13:32:44 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity D3_8E_MXILINX_minutnik is
   port ( A0 : in    std_logic; 
          A1 : in    std_logic; 
          A2 : in    std_logic; 
          E  : in    std_logic; 
          D0 : out   std_logic; 
          D1 : out   std_logic; 
          D2 : out   std_logic; 
          D3 : out   std_logic; 
          D4 : out   std_logic; 
          D5 : out   std_logic; 
          D6 : out   std_logic; 
          D7 : out   std_logic);
end D3_8E_MXILINX_minutnik;

architecture BEHAVIORAL of D3_8E_MXILINX_minutnik is
   attribute BOX_TYPE   : STRING ;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND4B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B1 : COMPONENT is "BLACK_BOX";
   
   component AND4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B2 : COMPONENT is "BLACK_BOX";
   
   component AND4B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B3 : COMPONENT is "BLACK_BOX";
   
begin
   I_36_30 : AND4
      port map (I0=>A2, I1=>A1, I2=>A0, I3=>E, O=>D7);
   
   I_36_31 : AND4B1
      port map (I0=>A0, I1=>A2, I2=>A1, I3=>E, O=>D6);
   
   I_36_32 : AND4B1
      port map (I0=>A1, I1=>A2, I2=>A0, I3=>E, O=>D5);
   
   I_36_33 : AND4B2
      port map (I0=>A1, I1=>A0, I2=>A2, I3=>E, O=>D4);
   
   I_36_34 : AND4B1
      port map (I0=>A2, I1=>A0, I2=>A1, I3=>E, O=>D3);
   
   I_36_35 : AND4B2
      port map (I0=>A2, I1=>A0, I2=>A1, I3=>E, O=>D2);
   
   I_36_36 : AND4B2
      port map (I0=>A2, I1=>A1, I2=>A0, I3=>E, O=>D1);
   
   I_36_37 : AND4B3
      port map (I0=>A2, I1=>A1, I2=>A0, I3=>E, O=>D0);
   
end BEHAVIORAL;


-- VHDL model created from minutnik.sch - Tue Oct 28 13:32:44 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity minutnik is
   port ( SYNC  : in    std_logic; 
          S1    : in    std_logic; 
          S3    : in    std_logic; 
          LED1  : out   std_logic; 
          LED2  : out   std_logic; 
          LED3  : out   std_logic; 
          LED4  : out   std_logic; 
          LED5  : out   std_logic; 
          segDP : out   std_logic; 
          T1    : out   std_logic);
end minutnik;

architecture BEHAVIORAL of minutnik is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal Q1       : std_logic_vector (7 downto 0);
   signal Q2       : std_logic_vector (7 downto 0);
   signal Q3       : std_logic_vector (7 downto 0);
   signal Q4       : std_logic_vector (7 downto 0);
   signal XLXN_1   : std_logic;
   signal XLXN_2   : std_logic;
   signal XLXN_3   : std_logic;
   signal XLXN_4   : std_logic;
   signal XLXN_5   : std_logic;
   signal XLXN_6   : std_logic;
   signal XLXN_7   : std_logic;
   signal XLXN_8   : std_logic;
   signal XLXN_11  : std_logic;
   signal XLXN_12  : std_logic;
   signal XLXN_13  : std_logic;
   signal XLXN_14  : std_logic;
   signal XLXN_15  : std_logic;
   signal XLXN_72  : std_logic;
   signal XLXN_73  : std_logic;
   signal XLXN_74  : std_logic;
   signal XLXN_75  : std_logic;
   signal XLXN_76  : std_logic;
   signal XLXN_80  : std_logic;
   signal XLXN_81  : std_logic;
   signal XLXN_88  : std_logic;
   signal XLXN_89  : std_logic;
   signal XLXN_90  : std_logic;
   signal XLXN_91  : std_logic;
   signal XLXN_92  : std_logic;
   signal XLXN_93  : std_logic;
   signal XLXN_95  : std_logic;
   signal XLXN_150 : std_logic;
   signal XLXN_151 : std_logic;
   signal XLXN_152 : std_logic;
   signal XLXN_167 : std_logic;
   signal XLXN_240 : std_logic;
   signal XLXN_241 : std_logic;
   signal XLXN_242 : std_logic;
   signal XLXN_243 : std_logic;
   signal XLXN_244 : std_logic;
   signal XLXN_245 : std_logic;
   signal XLXN_246 : std_logic;
   signal XLXN_247 : std_logic;
   signal XLXN_250 : std_logic;
   signal XLXN_252 : std_logic;
   component licznik_piersc_symbol
      port ( INPUT : in    std_logic; 
             CLK   : in    std_logic; 
             x1    : out   std_logic; 
             x2    : out   std_logic; 
             x3    : out   std_logic; 
             x0    : out   std_logic; 
             x4    : out   std_logic);
   end component;
   
   component komparator1bit
      port ( i0 : in    std_logic; 
             i1 : in    std_logic; 
             a  : in    std_logic; 
             b  : in    std_logic; 
             o0 : out   std_logic; 
             o1 : out   std_logic);
   end component;
   
   component D3_8E_MXILINX_minutnik
      port ( A0 : in    std_logic; 
             A1 : in    std_logic; 
             A2 : in    std_logic; 
             E  : in    std_logic; 
             D0 : out   std_logic; 
             D1 : out   std_logic; 
             D2 : out   std_logic; 
             D3 : out   std_logic; 
             D4 : out   std_logic; 
             D5 : out   std_logic; 
             D6 : out   std_logic; 
             D7 : out   std_logic);
   end component;
   
   component CB4CE_MXILINX_minutnik
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component NAND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NAND2B1 : COMPONENT is "BLACK_BOX";
   
   component CB8CE_MXILINX_minutnik
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q   : out   std_logic_vector (7 downto 0); 
             TC  : out   std_logic);
   end component;
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_7 : LABEL is "XLXI_7_12";
   attribute HU_SET of XLXI_8 : LABEL is "XLXI_8_13";
   attribute HU_SET of XLXI_54 : LABEL is "XLXI_54_15";
   attribute HU_SET of XLXI_56 : LABEL is "XLXI_56_14";
   attribute HU_SET of XLXI_58 : LABEL is "XLXI_58_16";
   attribute HU_SET of XLXI_73 : LABEL is "XLXI_73_17";
begin
   XLXI_1 : licznik_piersc_symbol
      port map (CLK=>SYNC, INPUT=>S1, x0=>XLXN_15, x1=>XLXN_14, x2=>XLXN_13,
            x3=>XLXN_12, x4=>XLXN_11);
   
   XLXI_2 : komparator1bit
      port map (a=>XLXN_15, b=>XLXN_90, i0=>XLXN_89, i1=>XLXN_88, o0=>XLXN_8,
            o1=>XLXN_7);
   
   XLXI_3 : komparator1bit
      port map (a=>XLXN_14, b=>XLXN_91, i0=>XLXN_7, i1=>XLXN_8, o0=>XLXN_5,
            o1=>XLXN_6);
   
   XLXI_4 : komparator1bit
      port map (a=>XLXN_13, b=>XLXN_92, i0=>XLXN_6, i1=>XLXN_5, o0=>XLXN_4,
            o1=>XLXN_3);
   
   XLXI_5 : komparator1bit
      port map (a=>XLXN_12, b=>XLXN_93, i0=>XLXN_3, i1=>XLXN_4, o0=>XLXN_1,
            o1=>XLXN_2);
   
   XLXI_6 : komparator1bit
      port map (a=>XLXN_11, b=>XLXN_95, i0=>XLXN_2, i1=>XLXN_1, o0=>XLXN_81,
            o1=>XLXN_80);
   
   XLXI_7 : D3_8E_MXILINX_minutnik
      port map (A0=>XLXN_72, A1=>XLXN_73, A2=>XLXN_74, E=>XLXN_75, D0=>open,
            D1=>XLXN_90, D2=>XLXN_91, D3=>XLXN_92, D4=>XLXN_93, D5=>XLXN_95,
            D6=>open, D7=>open);
   
   XLXI_8 : CB4CE_MXILINX_minutnik
      port map (C=>XLXN_252, CE=>XLXN_76, CLR=>XLXN_250, CEO=>open,
            Q0=>XLXN_72, Q1=>XLXN_73, Q2=>XLXN_74, Q3=>open, TC=>open);
   
   XLXI_9 : GND
      port map (G=>XLXN_89);
   
   XLXI_10 : INV
      port map (I=>XLXN_11, O=>LED5);
   
   XLXI_11 : INV
      port map (I=>XLXN_12, O=>LED4);
   
   XLXI_12 : INV
      port map (I=>XLXN_13, O=>LED3);
   
   XLXI_13 : INV
      port map (I=>XLXN_14, O=>LED2);
   
   XLXI_14 : INV
      port map (I=>XLXN_15, O=>LED1);
   
   XLXI_40 : VCC
      port map (P=>XLXN_76);
   
   XLXI_41 : VCC
      port map (P=>XLXN_75);
   
   XLXI_44 : NAND2B1
      port map (I0=>XLXN_80, I1=>XLXN_81, O=>segDP);
   
   XLXI_45 : GND
      port map (G=>T1);
   
   XLXI_46 : INV
      port map (I=>S3, O=>XLXN_250);
   
   XLXI_47 : VCC
      port map (P=>XLXN_88);
   
   XLXI_54 : CB8CE_MXILINX_minutnik
      port map (C=>Q3(7), CE=>XLXN_151, CLR=>XLXN_245, CEO=>open, Q(7 downto
            0)=>Q2(7 downto 0), TC=>open);
   
   XLXI_55 : AND3
      port map (I0=>Q2(7), I1=>Q2(6), I2=>Q2(3), O=>XLXN_244);
   
   XLXI_56 : CB8CE_MXILINX_minutnik
      port map (C=>SYNC, CE=>XLXN_150, CLR=>XLXN_247, CEO=>open, Q(7 downto
            0)=>Q3(7 downto 0), TC=>open);
   
   XLXI_57 : AND3
      port map (I0=>Q3(7), I1=>Q3(6), I2=>Q3(3), O=>XLXN_246);
   
   XLXI_58 : CB8CE_MXILINX_minutnik
      port map (C=>Q2(7), CE=>XLXN_152, CLR=>XLXN_243, CEO=>open, Q(7 downto
            0)=>Q1(7 downto 0), TC=>open);
   
   XLXI_59 : AND3
      port map (I0=>Q1(7), I1=>Q1(6), I2=>Q1(3), O=>XLXN_242);
   
   XLXI_70 : VCC
      port map (P=>XLXN_152);
   
   XLXI_71 : VCC
      port map (P=>XLXN_151);
   
   XLXI_72 : VCC
      port map (P=>XLXN_150);
   
   XLXI_73 : CB8CE_MXILINX_minutnik
      port map (C=>Q1(7), CE=>XLXN_167, CLR=>XLXN_241, CEO=>open, Q(7 downto
            0)=>Q4(7 downto 0), TC=>open);
   
   XLXI_74 : AND4
      port map (I0=>Q4(7), I1=>Q4(5), I2=>Q4(4), I3=>Q4(2), O=>XLXN_240);
   
   XLXI_75 : VCC
      port map (P=>XLXN_167);
   
   XLXI_108 : OR2
      port map (I0=>XLXN_250, I1=>XLXN_246, O=>XLXN_247);
   
   XLXI_109 : OR2
      port map (I0=>XLXN_250, I1=>XLXN_244, O=>XLXN_245);
   
   XLXI_110 : OR2
      port map (I0=>XLXN_250, I1=>XLXN_242, O=>XLXN_243);
   
   XLXI_111 : OR2
      port map (I0=>XLXN_250, I1=>XLXN_240, O=>XLXN_241);
   
   XLXI_112 : INV
      port map (I=>Q4(7), O=>XLXN_252);
   
end BEHAVIORAL;


