-- VHDL model created from sumator_ext.sch - Wed Sep 24 12:57:46 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity sumator_ext is
   port ( S1 : in    std_logic; 
          S2 : in    std_logic; 
          a  : out   std_logic; 
          b  : out   std_logic; 
          c  : out   std_logic; 
          d  : out   std_logic; 
          e  : out   std_logic; 
          f  : out   std_logic; 
          g  : out   std_logic; 
          T1 : out   std_logic);
end sumator_ext;

architecture BEHAVIORAL of sumator_ext is
   attribute BOX_TYPE   : STRING ;
   signal p        : std_logic;
   signal u        : std_logic;
   signal w        : std_logic;
   signal x        : std_logic;
   signal XLXN_19  : std_logic;
   signal XLXN_20  : std_logic;
   signal XLXN_21  : std_logic;
   signal XLXN_22  : std_logic;
   signal XLXN_24  : std_logic;
   signal XLXN_25  : std_logic;
   signal XLXN_26  : std_logic;
   signal XLXN_27  : std_logic;
   signal XLXN_29  : std_logic;
   signal XLXN_86  : std_logic;
   signal XLXN_119 : std_logic;
   signal XLXN_120 : std_logic;
   signal y        : std_logic;
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : COMPONENT is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component dek7seg_symbol
      port ( x2 : in    std_logic; 
             x3 : in    std_logic; 
             x0 : in    std_logic; 
             x1 : in    std_logic; 
             b  : out   std_logic; 
             c  : out   std_logic; 
             d  : out   std_logic; 
             e  : out   std_logic; 
             f  : out   std_logic; 
             g  : out   std_logic; 
             a  : out   std_logic);
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component XOR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR3 : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_2 : AND2
      port map (I0=>p, I1=>w, O=>XLXN_19);
   
   XLXI_3 : AND2
      port map (I0=>p, I1=>u, O=>XLXN_20);
   
   XLXI_4 : AND2
      port map (I0=>u, I1=>w, O=>XLXN_21);
   
   XLXI_5 : OR3
      port map (I0=>XLXN_21, I1=>XLXN_19, I2=>XLXN_20, O=>x);
   
   XLXI_7 : AND2
      port map (I0=>XLXN_22, I1=>XLXN_24, O=>XLXN_25);
   
   XLXI_8 : AND2
      port map (I0=>XLXN_22, I1=>x, O=>XLXN_26);
   
   XLXI_9 : AND2
      port map (I0=>x, I1=>XLXN_24, O=>XLXN_27);
   
   XLXI_10 : OR3
      port map (I0=>XLXN_27, I1=>XLXN_25, I2=>XLXN_26, O=>XLXN_29);
   
   XLXI_26 : GND
      port map (G=>XLXN_24);
   
   XLXI_27 : GND
      port map (G=>XLXN_22);
   
   XLXI_53 : dek7seg_symbol
      port map (x0=>y, x1=>XLXN_86, x2=>XLXN_120, x3=>XLXN_119, a=>a, b=>b,
            c=>c, d=>d, e=>e, f=>f, g=>g);
   
   XLXI_54 : GND
      port map (G=>u);
   
   XLXI_55 : GND
      port map (G=>XLXN_120);
   
   XLXI_56 : GND
      port map (G=>XLXN_119);
   
   XLXI_62 : GND
      port map (G=>T1);
   
   XLXI_64 : INV
      port map (I=>S1, O=>w);
   
   XLXI_65 : INV
      port map (I=>S2, O=>p);
   
   XLXI_66 : XOR3
      port map (I0=>x, I1=>XLXN_22, I2=>XLXN_24, O=>XLXN_86);
   
   XLXI_68 : XOR3
      port map (I0=>u, I1=>p, I2=>w, O=>y);
   
end BEHAVIORAL;


